// shader type: fx 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord; // location
uniform sampler2D tex;  // texture one
uniform sampler2D tex2; // texture two
uniform vec2 tres;   // size of texture (screen)
uniform vec4 fparams;   // 4 floats coming in
uniform ivec4 iparams;  // 4 ints coming in
uniform float ftime; // 0.0 to 1.0
uniform int itime;   // increases when ftime hits 1.0
//f0:sub:
//f1:add:
//f2:pixel size:
   float f0 = mix(0.05, 0.95, fparams[0]);
   float f1 = mix(0.05, 0.95, fparams[1]);
   float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {
  vec2 onePixel = 2.0/tres * f2;

  vec4 color;
  color.rgb = vec3(0.5);
  color -= texture2D(tex, tcoord - onePixel) * 5.0 * f0 ;
  color += texture2D(tex, tcoord + onePixel) * 5.0 * f1;

  color.rgb = vec3((color.r + color.g + color.b) / 3.0);
  gl_FragColor = vec4(color.rgb, 1);
}



