// shader type: fx 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;       //
uniform sampler2D tex;     // texture one
uniform sampler2D tex2;    // texture two
uniform vec2 tres;         // size of texture (screen)
uniform vec4 fparams;      // 4 floats coming in
uniform ivec4 iparams;     // 4 ints coming in
uniform float ftime;       // 0.0 to 1.0
uniform int itime;         // increases when ftime hits 1.0
//f0::
//f1::
//f2::

   float f0 = mix(0.05, 0.95, fparams[0]);
   float f1 = mix(0.05, 0.95, fparams[1]);
   float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;

//---------------------------------------------------------------------------------------------------
void main( ) {
   float time = float(itime) + ftime;

   // distance from center of image, used to adjust blur
//vec2 uv = tcoord.xy / tres.xy;
vec2 uv = gl_FragCoord.xy / tres.xy;
float d = length(uv - vec2(0.5,0.5));

// blur amount
float blur = 0.02;
//blur = (1.0 + sin(iTime*6.0)) * 0.5;
//blur *= 1.0 + sin(iTime*16.0) * 0.5;
//blur = pow(blur, 3.0);
//blur *= 0.05;
// reduce blur towards center
//blur *= d;

    float myTime = time;
    
    vec2 myuv =  vec2(uv.x + sin( (uv.y + sin(myTime)) * abs(sin(myTime) + sin(2.0 * myTime) + sin(0.3 * myTime) + sin(1.4 * myTime) + cos(0.7 * myTime) + cos(1.3 * myTime)) * 4.0 ) * 0.02,uv.y) ;
    
// final color
    vec3 col;
    col.r = texture2D( tex, vec2(myuv.x+blur,myuv.y) ).r;
    col.g = texture2D( tex, myuv ).g;
    col.b = texture2D( tex, vec2(myuv.x-blur,myuv.y) ).b;

// scanline
float scanline = sin(uv.y*400.0)*0.08;
col -= scanline;

// vignette
col *= 1.0 - d * 0.5;

    gl_FragColor = vec4(col,1.0);
}



