// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:brightness:
//f2:alt darken:

float f0 = mix(0.2, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
//http://www.glslsandbox.com/e#40099.0
void main(void) {

vec2 p = (gl_FragCoord.xy * 2.0 - resolution) / resolution;
vec4 c = vec4(0.0);
//float c = 0.0;
//float r = 0.0;



//float r1 = fract(sin(p.x*6.73779380049174 + p.y*5.86125068203135)* 7.68977281856067);
//float r2 = fract(cos(p.x*5.53293504359135 + p.y*7.00079168773212)* 5.42778427231023+r1*time);


float r2 = f1;
for (float t=5.0; t < 60.0; t+=10.0) {
           r2 += cos(p.x*t*f0)*sin(p.y*t+time*2.0);
}
r2 *= f2;


gl_FragColor = vec4(r2,r2,r2,1.0);


   
} //endof main


