// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:blue pos:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
//MG

float light(vec2);

void main() {
vec2 p=(gl_FragCoord.xy/resolution.y)*50.0;
p.x-=resolution.x/resolution.y*50.0 * f0; 
p.y-=50.0 * f1;

gl_FragColor+=vec4(light(p),0.0,light(p*tan(f2)),1.0);
}

float light(vec2 p) {
vec3 dudv;
float result;

dudv.x=(p.x*sin(time-sqrt(p.x*p.x+p.y*p.y)))/sqrt(p.x*p.x+p.y*p.y);
dudv.y=(p.y*sin(time-sqrt(p.x*p.x+p.y*p.y)))/sqrt(p.x*p.x+p.y*p.y);
dudv.z=1.0;

dudv=normalize(dudv);
result=dot(dudv,normalize(vec3(1.0,1.0,1.0)));
if (result<0.0) {result=0.0;}
return result;
}


