// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//f0:zoom:
//f1:second size:
//f2:second pull:
float f0 = (0.95 - 0.25) * fparams[0] + 0.25;
float f1 = clamp(fparams[1], 0.05, 0.95);
float f2 = mix(0.5, 0.95, fparams[2]);

#define PI 3.1415926535897932384626

vec2 r = tres;

vec3 cc(float x, vec3 a, vec3 b, vec3 c, vec3 d) {
return a + b*cos(4.0*PI*cos(c*x + d));
}

//---------------------------------------------------------------------------------------------------
// source :  http://glslsandbox.com/e#35540.0
void main(void) {

float mytime = float(itime) + ftime;

vec2 p = 2.0*gl_FragCoord.xy/r - 1.0;
p.x *= r.x/r.y;
vec2 m = vec2(f0) * 2.0;
m.x *= r.x/r.y;
p*=6.; m*=2.;
float l = length(p - vec2(cos(mytime), -sin(mytime))) +0.2;
float lm = length(p - m) + (4. * f1);
float c = lm/l + 4. * f2;
vec3 color = cc(c, vec3(0.5), vec3(0.5), vec3(1.), vec3(0.05, 0.1, 0.11));
gl_FragColor = vec4(color, 1.0);


} //endof main


