// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:relection:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.2, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

#define PI 3.1415926535897932384626

vec2 r = tres;
vec2 mouse = vec2(fparams.x, fparams.y);

vec3 cc(float x, vec3 a, vec3 b, vec3 c, vec3 d)
{
return a + b*cos(2.0*PI*cos(c*x + d));
}

//---------------------------------------------------------------------------------------------------
void main(void) {

vec2 p = 2.0*gl_FragCoord.xy/r - 1.0;
p.x *= r.x/r.y;
vec2 m = 2.0*mouse - 1.0;
m.x *= r.x/r.y;
p*=2.; m*=2.;
float l = length(p - vec2(cos(time), -sin(time)));
float lm = length(p - m) / f2;
float c = lm/l;
vec3 color = cc(c, vec3(0.5), vec3(0.5), vec3(1.), vec3(0.05, 0.1, 0.11));
gl_FragColor = vec4(color, 1.0);
   
} //endof main


