// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:horz sway:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//Coded by T_S / RTX1911 //@rtx1911

void main( void ) {

vec2 p = ( gl_FragCoord.xy / resolution.xy ) * vec2(f0,f1) + 1.;
p.x *= (resolution.x / resolution.y);

p.x += time * 0.025;
p.y += sin(time * 0.025);
vec3 col = vec3(1.0);
col *= vec3(p.x, p.y, 1.0);
float sizer = 6. + 2.*f2 *0.05; 
col *= vec3(smoothstep(0.4, 0.6, max(abs(fract(p.x * sizer - 0.5 * mod(floor(sizer* p.y), 2.0)) - 0.5), abs(fract(sizer * p.y) - 0.5))));

gl_FragColor = vec4( col, 1.0 );

//gl_FragColor *= mod(gl_FragCoord.y, 50.0);
}


