// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:rib density:
//f2:zoom 2:
float f0 = mix(0.45, 0.55, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.5, 0.95, fparams[2]);

// http://www.glslsandbox.com/e#40332.0
float time = float(itime) + ftime;
vec2 resolution = tres;

void main(void) {

    vec2 p=(gl_FragCoord.xy - 0.5 * resolution)/resolution.y * f0 ;
    vec4 final_color;
    float tun =2./sqrt(dot(p.yy, p.xx)) + 4. /f2;
    float en =float(fract(7.7 * 5./tun+time)>=.07/fract(tun+sin(time)));
    //float l  =float( (.275+f2) < fract(tun + sin(time*1.) +atan(p.x, p.y)*10.*f1));
    float l  =float(.575<fract(tun+sin(time*1.)) + f1 ); //  +atan(p.y, p.y )*10.));
    final_color = vec4(tun<.05||en<l);
    gl_FragColor=vec4(final_color.rgb, 1.0);


}


