// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:grid zoom:
//f2:density:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float rand (in vec2 seed) {
return fract (sin (dot (seed, vec2 (12.9898, 18.233))) * 137.5453);
}

//---------------------------------------------------------------------------------------------------
void main(void) {

vec2 frag = (2.0 * gl_FragCoord.xy - resolution.xy) / resolution.y;
//frag *= 1.0 - 0.2 * cos (frag.yx) * sin (3.14159 * 0.1);// * texture (iChannel0, vec2 (0.0)).x);
frag *= 5.0 +  (f0 * 10.);
float random = rand (floor (frag));
vec2 black = smoothstep (2.0, 0.9, tan (frag * 3.14159 * (f1 + .5 ) ) );
vec3 color = vec3(0.75/f2); 
color *= black.x * black.y * smoothstep (2.0, 0.9,length(fract(frag) - 0.5));
color *= 0.9 + 0.9 * cos (random + random * (time * 9.0) + time + 3.14159 * 1.0); // * texture (iChannel0, vec2 (0.7)).x);
gl_FragColor = vec4 (color * vec3(1.0,1.0,1.0), 1.0);

//   vec2 uv = ( gl_FragCoord.xx / resolution.xy );
   
} //endof main


