// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.3, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
void main( void ) {

vec2 p = gl_FragCoord.xy / tres.xy;
p = p * 3.0 - 1.0;
p.x *= tres.x / tres.y;

p /= vec2(f0,f1);

float col = 0.0;

//mandelbrote
//vec2 z = vec2(0.0, 0.0);
//juillaset
vec2 z = p * f2;
vec2 ms = vec2(f0,f1);
ms.x *= tres.x / tres.y;

for(int i = 0; i < 4; i++) {
//mandelbrote
z = vec2(z.x * z.x - z.y * z.y + sin(time) *4.0, 2.0 * z.x * z.y) + ms;
//julliaset
//z = vec2(z.x * z.x - z.y * z.y, 2.0 * z.x * z.y) + p;
}
col = length(z);

gl_FragColor = vec4(vec3(z.x, z.y, col), 1.0);

}



