// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:detail:
//f2:mod:

float f0 = mix(0.2, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.3, 0.95, fparams[2]);



float time = float(itime) + ftime;

//---------------------------------------------------------------------------------------------------
// https://www.shadertoy.com/view/4tXGW4
void main(void) {

  vec2  r = tres.xy;
vec2  p = gl_FragCoord.xy - r*.5;
float d = 1.7*f0*length(p) / r.y;
float c = 2. * f2;
float x = pow(d, .25*f1);
float y = atan(p.x, p.y) / 6.28;

for (float i = 0.; i < 3.; ++i)    
c = min(c, length(fract(vec2(x -time*i*.025, fract(y + i*.125)*.5)*20.)*2.-1.));

gl_FragColor  = vec4(d+20.*c*d*d*(.6-d)); 
//gl_FragColor.a = 1.0;
} //endof main


