// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert strecth:
//f2:circle shade:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;


float cells(vec3 p){
p=fract(p/2.)*2.;
p=min(p,2.-p );
 return min(length(p),length(p-1.));}

//---------------------------------------------------------------------------------------------------
//http://glslsandbox.com/e#35957.0
void main(void) {

//void mainImage( out vec4 O, in vec2 gl_FragCoord){O=vec4(1);
vec2 u = tcoord.xy * vec2(f0,f1);
u.x *= tres.x/tres.y;
vec3 u3 = vec3(u*9.,time);
float r = cells(u3);//distance to honeycomb center
vec3 a = step(.3,fract(u3*.5-.25));//color coded 3d coordinates

r=fract(r*3.);
r += smoothstep(-0.3,0.3,r-.875*f2);
a = a +.5;// add some brightness
gl_FragColor.rgb = a*r;
 gl_FragColor.a = 1.0;

   
} //endof main


