// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// source :  http://glslsandbox.com/e#35470.0
// metadata

//f0:square sharpness:
//f1:stretch right:
//f2:slide up down:
float f0 = mix(0.2, 0.95, fparams[0]);
float f1 = mix(0.5, 0.95, fparams[1]);
float f2 = mix(0.15, 0.95, fparams[2])  ;

//---------------------------------------------------------------------------------------------------
void main(void) {
#define r tres

float mytime = float(itime) + ftime;

vec2 p=gl_FragCoord.xy/r;
p.x*=r.x/r.y * f1;
vec3 a=vec3(0.5, 0.5, 0.5);
vec3 b=vec3(0.5, 0.5, 0.5);
vec3 c=vec3(cos(mytime), sin(mytime), cos(mytime));
vec3 d=vec3(0.0, 0.33, 0.67);
vec3 col=a+b*cos(6.0*(c*p.x+d));

float fy=fract(p.y*4.0);
col*=smoothstep(0.49, 0.48*f0, abs(fy-f2));
float fx=fract(p.x*8.0);
col*=smoothstep(0.49, 0.48*f0, abs(fx-0.5));
gl_FragColor=vec4(col.rgb, 1.0);


} //endof main


