// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz pan:
//f1:vert pan:
//f2:offset:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;


mat2 rot(float a)
{
  float s = sin(a);
  float c = cos(a);
  return mat2(c, s, -s, c);
}

vec3 pat1(vec2 pos)
{
    pos*=rot(length(pos)*0.5+pos.x*pos.y);
    float vv = pos.y*pos.y;
    vv*=sin(pos.x*1.04);
    float v = (sin(sin(pos.x*5.0)*4.0+(vv) *50.0 + time * 2.0))+0.25;
    v=abs(v);
    vec3 col = vec3( 1.5,0.8,0.6+sin(time)*0.5)*v ;
    return col;
}

// http://glslsandbox.com/e#54773.1

void main( void )
{
    vec2 pos = (gl_FragCoord.xy / resolution.xy);
    pos-=vec2(f0,f1);
    vec3 back = pat1(pos);
    back *= pat1(pos*rot(f2));
    gl_FragColor = vec4( back,1.0);
}


