// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// metadata
//http://www.glslsandbox.com/e#43362.0
#define PI 3.1415926535897932384626
float time = float(itime) + ftime;

//#define s 24

//f0:diamond size:
//f1:vert squish:
//f2:blue level flip:
float f0 = mix(0.3, 0.95, fparams[0]) ;
float f1 = mix(0.1, 0.9, fparams[1]) * 80. + 10.;
float f2 = mix(0.25, 0.85, fparams[2]) * 80. + 15.;

//---------------------------------------------------------------------------------------------------
void main(void) {
   vec3 p = gl_FragCoord.xyz ;
   
   p.x  =  pow( sin(time+p.y/100.),4.*f0)+pow( cos(time+p.x/100.),4.*f0);
   p.y  =   sin(p.y/f1)/cos(time+p.x);
   p.z  =   sin(f2 +p.x/100.)/cos(time+p.y);
   
   gl_FragColor = vec4(p, 1.0) ;


} //endof main


