// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz pull:
//f1:vert pull:
//f2:color mod:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.3, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
#define PI 3.1415926535897932384626
//---------------------------------------------------------------------------------------------------
//http://glslsandbox.com/e#35323.2

void main(void) {

vec2 p = ( gl_FragCoord.xy / tres.xy );
p = p*2.0-1.0;
p.x *= tres.x/tres.y;

vec2 p2 = p * vec2(f0,f1);
p2.x += sin(p.y*PI*3.0)*0.1;
p2.y += sin(p.x*PI*3.0)*0.1;

float d = distance(vec2(f2,0.), atan(p2*PI)*3.0);
//float d = distance( (mouse*2.0-1.0)*4.0, atan(p*PI*2.0)*3.0);
//float d = distance(vec2(0.,0.), mod(p*1.0,0.5)/0.5);

//float a = sin(d * PI * 10.0 + time*10.0);
//float b = sin(d * PI - time*2.0);
//float c = a*0.3+b*0.7;

//float col = sin(p2.x*PI*5.0+time*2.0)+sin(p2.y*PI*10.0);
float r = sin(p2.x*PI*5.0+time*2.0)+sin(p2.y*PI*13.0*f2);
float g = sin(p2.x*PI*15.0+time*5.0)+sin(p2.y*PI*10.0*f2);
float b = sin(p2.x*PI*15.0+time*5.0)+sin(p2.y*PI*7.0*f2);

gl_FragColor = vec4( vec3( r,g,b ), 1.0 );

   
} //endof main


