// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:color pos:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// Corrente Continua // 1k demo by // Zero the Hero of Topopiccione
void main( void ) {

float t = time * 2.0;
float sint = sin(time*0.25);
vec2 p = (-1.0 + 2.0*(gl_FragCoord.xy /resolution.xy))*2.0*(1.0+sin(t/70.689)/3.5);
vec2 p2 = abs(p * -2.5);
vec2 p3 =p*p;

float r = p.x*2.0 * f0; 
float r2 = fract(length(p2));

p.x = tan( clamp((p.x-r/2.0*cos(t/0.0)+p.y/r), -0.4, 0.4));
p.y = tan( clamp((p.y-r/1.5*sin(t/0.5)+p.x/r), -0.55, 0.1));

p2.x *= p.x * sin( -clamp((p2.x-r/0.5*cos(t/3.5)+p2.x/r), -0.4, 0.45)) / f1; 
p2.y *= p.x * cos( clamp((-p2.y-r2/1.3*sin(sqrt(t)/2.4)+p2.y/r), -2.4, 0.3) /f1);

p3.x =  atan( clamp((-p3.x-r2/0.5*cos(t/2.1313)-p2.x/r2), -0.45, 0.3)) *f2;
p3.y =  atan( -clamp((p3.y-r/0.3*sin(t/1.414)+p3.y/r), -0.4, 0.4))     /f2;

// Domain repetition mods:
 p2.x -= mod(p3.x,3.3) + 0.5;
 p2.y -= mod(p3.y,3.3) + 0.5;

float b = (30.0/(sin(p2.x) - cos(p2.y))) / 1.5;
float a = (1.0/(sin(p.x)  - cos(p.y) )) / 0.5;
float c = (1.5/(cos(p.x) - sin(p2.y))) / 1.5;
float d = (2.5/(cos(p.x) + sin(p2.y))) / 1.5 - (c/2.7);
float f = (1.5/(cos(p3.x) + sin(p3.y))) / 1.5 + dot(b,a)/3.0;
gl_FragColor = vec4(sqrt(2.0*a+b-c-d+f)/12.0-0.1,  sqrt(2.0*a+b-c-d+f)/10.0-0.1,  sqrt(1.8*a+b-c-d+f)/9.0-0.1,  1.0);
}



