// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:colors:
//f2:counts:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.4, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

#define t time
#define r tres.xy

//---------------------------------------------------------------------------------------------------
// source : http://glslsandbox.com/e#35359.4
void main() {
   vec3 c;
   float l,z=t;
   for(int i=0;i<3;i++) {
vec2 uv,p=gl_FragCoord.xy/r;
uv*=p;
p-=.5;
p.x*=r.x/r.y * 2.*f0;
z+=.07 + f1;
l=length(p) * f2 * 2.;
uv+=p/l*(sin(z)+1.)*abs(sin(l*9.-z*2.));
c[i]=.01/length(abs(mod(uv,1.)-.5));
   }
   gl_FragColor=vec4(c/l,t);
}


