// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:count:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.1, 0.95, fparams[2]);


float time = float(itime) + ftime;
//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#40303.0
void main(void) {

  
    vec2 p=(gl_FragCoord.xy-.5*tres)/tres.y * vec2(f0,f1) * 2.;
    float tun=.2/sqrt(dot(p, p)) * f2;
    float en=float(fract(1./tun+time)>=.02/fract(tun+sin(time)));
    float l=float(.5<fract(tun+sin(time*1.)+atan(p.x, p.y)*3.));
    gl_FragColor=vec4(tun<.05||en<l); 

} //endof main


