// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:line density:
//f1:brightness:
//f2:diag stretch:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
//something interesting // going to make a 2d FM visualizer
float pi = 3.14159265358;

float coordversion (float coord) {
return coord/2.0+0.5;
}

void main( void ) {

float time_mod = time * pi;

float viewscale = min(resolution.x, resolution.y) / 50.0;
vec2 position = ( gl_FragCoord.xy / viewscale *f2 * 2. );

float r, g, b = 0.0;
float a = 1.0;

float color = 0.0;

float v = (coordversion(sin(position.x-cos(time_mod-pi/2.0)))+coordversion(sin(position.y+time_mod)))/2.0 /f1;

v *= coordversion(sin((position.x*f0-position.y*f0)/2.0));

r = v;
g = v;
b = v;

gl_FragColor = vec4(r, g, b, a);

}


