// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:density:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.25, 0.95, fparams[1]);
float f2 = mix(0.3, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {
float aspect = resolution.y/resolution.x;
vec2 p = (( gl_FragCoord.xy / resolution.x )-vec2(f0, 1.0-f1));
float d = (abs(p.x)+abs(p.y))*15.0 / f2  ;
vec3 c;

if(dot(p, p) > 0.03){
d -= time*8.0;
}
else {
d += time*8.0;
}
if(fract(d) > 0.5)
c = vec3(1.0);
else 
c = vec3(0.0);
float fd = fract(d);
c = vec3(sin(abs(d)*2.0+0.8), sin(abs(d*4.5)+0.3), sin(abs(d*3.2)+0.5));


gl_FragColor = vec4(c, 1.0);

}


