// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:color postiion:
//f1:twisted bands:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// @simesgreen

void main( void ) {

//vec2 p = (gl_FragCoord.xy / resolution.xy)*2.0-1.0;
float sc = f2 * 2.;
vec2 p = (gl_FragCoord.xy / resolution.xy) * 1. * sc  - (sc * .5);

p.x *= resolution.x / resolution.y;

const float a = 1.0;

float t = (atan(p.y, p.x) + 3.14159) / 3.14159;
float r = a*t;
//float r = exp(a*t);
r += time;

float r2 = length(p);
float r3 = r2 * pow(r2,2.);

r2 = r - pow(r2, time/100.)*3.0 / f1;
r2 = fract(r2);

r3 = .1/r2;
r3 = r - r3*3.0 * f1;
r3 = fract(r3);

vec3 c = vec3(0.);
if(r2 > f0) {
if(r3 > 0.8){
c = vec3(f0);
}else{
c = vec3(1., f0, 0.);
}
}else{
if(r3 > 0.8 *f1)  {
c = vec3(1., 1. - f1, .5/f1);
}else{
c = vec3(0., 1., 1.);
}
}
gl_FragColor = vec4( c, 1 );
}


