// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:tangent mod:
//f2:color mod:

float f0 = mix(0.2 , 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.4, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
void main(void) {

vec2 uv=(gl_FragCoord.xy*2.-tres.xy)/min(tres.x,tres.y);

float sizer = .8 * f0;
uv=mod(uv,sizer) - (sizer *.5);
float a=atan(uv.x,uv.y)/f1; //+3.14159;
//float a=cos(uv.x/uv.y)+3.14159;
     
float m=pow(4.,abs(mod((time * 4.0),6.)-5.*f0));

float d=length(uv)*(abs(cos(a/m)*2.));
gl_FragColor=vec4(vec3(smoothstep(d,.2,.47)*smoothstep(d,.2,.29))*vec3(1.-d*8.,f2-d,d*8./f2),1);
  

   
} //endof main


