// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:diagonal zoom:
//f1:horz stretch:
//f2:brightness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// @paulofalcao // Blue Pattern

void main(void) {
vec2 u=(gl_FragCoord.xy/resolution.x)/1.0-vec2(1.0,resolution.y/resolution.x);

float t=time*0.5;
float tt=sin(t/5.0)*64.0 * f0;
float x=u.x*tt+sin(t*2.1)*4.0;
float y=u.y*tt+cos(t*2.3)*4.0;
float c=cos(y)+sin(x) * -f1;
float zoom=sin(t);

x=x*zoom/2.0+sin(t*1.1);
y=y*zoom/2.0+cos(c*1.3);

float xx=cos(t*0.7)*x-sin(t*0.7)*y;
float yy=sin(t*0.7)*x+cos(t*0.7)*y;

c=(sin(c+sin(xx)+sin(yy))+.80)*1.95 * f2;

gl_FragColor=vec4((1.0-length(u)*0.90)*vec3(c*1.4,c*1.4,c*1.4),22.0);
}


