// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:zoom:
        float f0 = mix(0.05, 0.95, fparams[0]);
        float f1 = mix(0.05, 0.95, fparams[1]);
        float f2 = mix(0.1, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {
vec2 pos = ( gl_FragCoord.xy / resolution.xy ) - vec2(1.0) *vec2(f0,f1); 
pos.x *= resolution.x / resolution.y;
float ang = atan(pos.y, pos.x) + 3.14159 + time;
float dis = length(pos) * f2 * 2. + .1;
vec4 light = vec4(0.8, 0.8, 0.8, 1.0);
if(dis > 0.2 && dis < 0.3 + step(mod(ang * 2.0, 1.0), 0.5) * 0.05) gl_FragColor = light;

}


