// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:count:
//f1:teeth:
//f2:center:
float f0 = mix(0.1, 0.9, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float STEP = 0.6 * f0;
float R_STEP = 0.5 * f1;

float color(vec2 p){

if(mod(p.x, R_STEP) < R_STEP * 0.4){
p.y += STEP * 0.1;
}
if(mod(p.y, STEP) < STEP * 0.5){
return 1.0;
}
else{
return 0.0;
}
}


vec2 transform(vec2 p){
return vec2(atan(p.y, p.x) + time * 0.5, 1.0 / length(p) + time * f0);
}

void main( void ) {

vec2 pos = (gl_FragCoord.xy * 2.0 - resolution) / resolution.y ;


gl_FragColor = vec4(color(transform(pos))) - max((1.0 - dot(pos, pos))* f2 * 2., 0.0);

}



