// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz move:
//f1:vert move:
//f2:dot size:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// LEDs, https://twitter.com/#!/baldand/status/160081733180604417

void main (void) {
vec2 v = (gl_FragCoord.xy / resolution.xy) + vec2(f0, f1) / 2.0;
float w, x, z = 0.0;
vec2 u;
vec3 c;
v *= 10.;
u = floor(v) * 0.1 + vec2(20.0, 11.0);
u = u * u;
x = fract(u.x * u.y * 9.1 + time) / f2;
x *= (1.0 - length(fract(v) - vec2(0.5, 0.5)) * (2.0 + x));
c = vec3(v * x, x);
gl_FragColor = vec4(c,1.);
}


