// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//f0:horz spread:
//f1:vert spread:
//f2:intesity:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.3, 0.95, fparams[2]);
vec2 mouse = vec2(f0, f1);
float time = float(itime) + ftime;
vec2 resolution = tres;
// FaerieLights => kinglesthecat.tumblr.com
// Parent => suspended illumination by kapsy1312.tumblr.com
void main( void ) {
    
    float sum = .6;
    float size = resolution.x / 1.6;
    float g = .85;
    int num = 60;

float t = time/0.9;

    for (int i = 0; i < 8; ++i) {
        vec2 position = resolution / 2.0;
        position.x += sin(t / 1.0 + 1.0 * float(i)) * resolution.x * 0.5 * (f0);
        position.y += sin(t / 1.0 + (1.0 + sin(t) * 0.2) * float(i)) * resolution.y * 0.4 * (f1);
        
        float dist = length(gl_FragCoord.xy - position);
        
        sum += size / pow(dist*10.0, g*.999);
    }
    
    //vec4 color = vec4(0,0,1,1);
    float ksum = sum / float(num);
    float val = ksum * 9. * f2;
    vec4 color = vec4(val*0.2, val*0.4, val*0.5, 1);
    
    gl_FragColor = vec4(color);
}


