// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//f0:horz offset:
//f1:vert offset:
//f2:glow strength:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
vec2 mouse = vec2(fparams.x, fparams.y);
float time = float(itime) + ftime;
vec2 resolution = tres;

uniform sampler2D backbuffer;

void main( void ) {
vec2 pos = gl_FragCoord.xy / resolution * vec2(f0,f1);
float amnt = 0.0;
float nd = 0.0;
vec4 cbuff = vec4(0.0);

for(float i=0.0; i<8.0;i++){
nd =sin(3.14*0.8*pos.x + (i*0.8+sin(+time)*0.3) + time)*0.9+0.5 + pos.x;
amnt = 1.0/abs(nd-pos.y)*0.05 *f2; 
cbuff += vec4(amnt, amnt*0.3 , amnt*pos.y, 1.0);
}

for(float i=0.0; i<8.0;i++){
nd =sin(3.14*1.0*pos.y + i*903.6 + time)*0.4*(pos.y+0.3)+0.5;
amnt = 1.0/abs(nd-pos.x)*0.01;
cbuff += vec4(amnt*0.2, amnt*0.3 , amnt*pos.x, 1.0);
}

vec4 dbuff =  texture2D(backbuffer,1.0-pos)*0.;
  gl_FragColor = cbuff + dbuff;
}


