// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:pos x:
//f1:pos y:
//f2:dark rings:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// structure header
float PI = 3.141592;
vec2 adjustAspectRatio( vec2 v) {
return v * vec2(resolution.x / resolution.y, 1.0) + vec2(-resolution.y / resolution.x * 0.5, 0.0);
}

void main( void ) {
vec2 pos = vec2(sin(time/4.),cos(time/5.)) * vec2(f0, f1);
vec2 position = adjustAspectRatio( gl_FragCoord.xy / resolution.xy );
float c, over = 1.3;
float d0 = distance(position.xy, adjustAspectRatio(1.-pos));
float d1 = distance(position.xy, adjustAspectRatio(pos) ) * f2;
c = (sin(d0 * PI * 20.0) + sin(d1 * PI * 20.0))/2.;

gl_FragColor = vec4(c*3.*over - 1., c*3.*over - 0., c*3.*over - 2., 1.0 );

}


