// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:thickness 1:
//f1:thickness 2:
//f2:thickness 3:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
//http://glslsandbox.com/e#48409.0

float time = float(itime) + ftime;
//---------------------------------------------------------------------------------------------------
float layer(vec2 uv) {
vec2 iv = floor(uv);
vec2 gv = fract(uv) - .5;
float image = .01 / abs(gv.y);
image += .01 / abs(gv.x);
return image;
}

void main(void) {

time *= 0.5;
vec2 uv = (1. * gl_FragCoord.xy - tres) / tres.y;
float image = 0.;
image += layer(uv * 10. + time / 10.) * .3 /f0;
image += layer(uv * 5. - time) * .2 / f1;
image += layer(uv * 2.5 + time) * .4 /f2;
//image += layer(uv * 1.25 - time) * .8;
//image += layer(uv * 1.25 + time) * .1;
gl_FragColor = vec4(vec3(image), 1.);

   
} //endof main


