// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//f0:horz roll:
//f1:horz swing speed:
//f2:squash glitch:
float f0 = mix(0.5, 0.95, fparams[0]) * 4.;
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;// for easier glslsandbox.com conversion

//---------------------------------------------------------------------------------------------------
// https://www.shadertoy.com/view/MsXfD4
void main(void) {

    vec2 uv = tcoord.xy + f1;
    vec2 uh = tcoord.xy / -f2;
    vec4 ca ;
    vec4 cb ;
    vec4 cc;

    vec4 final_color;    
    ca = vec4(abs(cos( uh.x *  f0- (time * 1.))) ) ;  
    cb = vec4(abs(cos( uv.x * 40. + (time * 3.))));
    cc = vec4(abs(sin( uh.y * 80. + (time * 1.5))) + 0.65);
    
    
    final_color =  pow(cb*cc*ca,ca*-cc*25.0);
    gl_FragColor =  vec4(final_color.rgb, 1.0);


} //endof main


