// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:offset:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
// https://www.shadertoy.com/view/MsXfD4
void main(void) {

    vec2 uv = tcoord.xy ;
    vec2 uh = tcoord.xy ;
    vec4 ca ;
    vec4 cb ;
    vec4 cc;

    vec4 final_color;
    ca = vec4(abs(cos( uh.x * 2./f2 - (time * 1.))) + 0.3);
    cb = vec4(abs(cos( uv.x * 40. *f0+ (time * 3.))) + 0.65);
    cc = vec4(abs(sin( uh.y * 40. *f1+ (time * 1.5))) + 0.65);


    final_color =  pow(cb*cc*ca,ca*-cc*25.0);
    gl_FragColor =  vec4(final_color.rgb, 1.0);

   
} //endof main


