// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz position:
//f1:vert position:
//f2:size:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#49316.0
void main(void) {

vec2 uv = ( gl_FragCoord.xy / resolution.xy ) - vec2(f0, f1);

float color = 0.0;
color = 1.0*max(2.0*abs(uv.x)/f2, 2.0 *abs(uv.y)/f2);


gl_FragColor = vec4( vec3(color), 1.0 );


   
} //endof main


