// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:blur:
//f1:offset:
//f2:shift:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float pro(float v) {
float p= cos(v*3.14);
for(int i = 1; i<4;i++) {
p = (p+cos(3.14*p+sin(v/float(i))*6.28)/float(i))*0.5;
}
return  sin(6.28/(p+2.));
}

// 1 on edges, 0 in middle
float hex(vec2 p) {
p.x *= 0.57735*2.0;
p.y += mod(floor(p.x), 2.0)*0.5;
p = abs((mod(p, 1.0) - f2));
return abs(max(p.x*1.5 + p.y, p.y*2.0) - 1.0);
}


//---------------------------------------------------------------------------------------------------
//  http://glslsandbox.com/e#35893.1
void main(void) {

vec4 baseColor = vec4(1.0, 1.0, 1.0, 1.0);
vec2 pos = gl_FragCoord.xy - 0.5;
vec2 wrp = 1.5 * (sin(time)) * vec2(sin(time+pos.x*0.025), cos(time+pos.y*0.025)) + vec2(pro(time*1.1), pro(time*0.9));
vec2 p = pos/20.0 * f1;
float  r = (1.0 - f0)+ 0.3;
//vec4 finalColor = baseColor * vec3(smoothstep(r, 0.0, hex(p+wrp)));
vec4 finalColor = baseColor * vec4(smoothstep(r, 0.0, hex(p+wrp)));
finalColor.w = 1.0;// don't show terminal text in the background...
gl_FragColor = finalColor;
   
} //endof main


