// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:color bright:
//f2:detail bright:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main() {
//vec2 p = (gl_FragCoord.xy / resolution - 0.5) * abs(sin(time/10.0)) * (f0 * 50. + 5.0);
vec2 p = (gl_FragCoord.xy / resolution - 0.5) * (f0 * 20. + 5.0);
float d = sin(length(p)+time) / f1; 
float a = sin(mod(atan(p.y, p.x) + time + sin(d+time), 3.1416/3.)*3.);
float v = a + d;
float m = sin(length(p)*4.0-a+time) * f2;
gl_FragColor = vec4(-v*sin(m*sin(-d)+time*.1), v*m*sin(tan(sin(-a))*sin(-a*3.)*3.+time*.5), mod(v,m), time);
}


