// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz pos:
//f1:green to magenta:
//f2:horz stretch:
float f0 = mix(0.5, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float noise(vec2 p) {
p=(p);
return fract(sin(p.x*45.11+p.y*97.23)*878.73+733.17)*2.0-1.0;
}

void main( void ) {

vec2 position = ( gl_FragCoord.xy / resolution.xy );

float x = noise(vec2(position.x*0.000005,5.));
float z = noise(vec2(position.y*0.000005,1.));

float color = abs(fract((x+position.x /f2 +z*time)) / f0 -.5 * f0 )*2.;

gl_FragColor = vec4( pow(vec3(color), vec3(0.9-f1, 1.1*f1, 0.9-f1)), 1.0 );
}


