// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:spokes:
//f1:detail:
//f2:white size:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//by @mrdoob, @IndialanJones //mod ToBSn


void main( void ) {

    vec2 position = (-1.0 + 2.0 * gl_FragCoord.xy / resolution.xy);

   
    float a = atan(position.y,position.x);
    float r = sqrt(dot(position,position));

    position.x =          4.0*a/3.1416;
    position.y = -time+ sin(4.0*r+time) + .7*cos(time+4.0*a);

    float w = .5+.5*(sin(time+4.0*r)+ .7*cos(time+4.0*a));

float t = 8.;
//float color = 0.0;
float color = sin( position.x * cos( t / 4.0 ) * 50.0 *f0) ;//+ cos( position.y * cos( t / 4.0 ) * sin(time*.1)+1. );
color *= sin( position.y * sin( t / 4.0 ) * 20.0 ) + cos( position.x * sin( t / 4.0 ) * cos(time*.2)+1. );
color *= sin( position.x * tan( t / 4.0 ) * 20.0 ) + sin( position.y * sin( t / 4.0 ) * (time+270.)/50.);
color -= sin( t / 2.0) / f1;

color /= 0.01;
color *=w * sin(f2);

float c1 = smoothstep(1.0, color, 5.);
float c2 = smoothstep(color, 1.0, 20.);
float c3 = c1 + c2;

gl_FragColor = vec4( vec3( c3, c3, c3 ), 1.0 );

}


