// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:freq:
//f1:amp:
//f2:rays:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// structure header

void main( void ) {

vec2 pos = ( gl_FragCoord.xy / resolution.xy ) * 2. ;
        float color = 0.0;

if ( pos.y > f1  +  sin(pos.x * 8. * f0 +time)/2. ) { 
          color = .9;
}

if ( pos.x >  sin(time) * 5.) { 
//color *= .92;
}


gl_FragColor = vec4( vec3( color / sin(cos(time) + cos( pos.y * pos.x / f2)), 
.01+sin( pos.y + pos.x *f2) *  color, 
2. *  color * sin( f2 *pos.y * pos.x)), 
1.0 );

}


