// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:scale:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
// Leaf spin, https://twitter.com/#!/baldand/status/159886208288296960

void main( void ) {
vec2 p = ( gl_FragCoord.xy / resolution.xy ) - vec2(.5) * vec2(f0,f1) * 2.; 
float w,x,y,z=0.0;
vec2 u;
vec3 c;
y=atan(p.y,p.x)/6.28+time*.1;
z=length(p*2./f2);
y=abs(fract(y*4.)*2.-1.)-z;
c=vec3(0.,y,0.);
gl_FragColor = vec4(c,1.);
}


