// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:width:
//f1:folds:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.25, 0.95, fparams[2]);

float time = float(itime) + ftime;
float f(in float r, in float x){return r*x*(1.0001-x);}

//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#39697.0
void main(void) {

  vec2 uv = (gl_FragCoord.xy-.5*tres.xy)/min(tres.y,tres.x)*8.*f2;
 
float y,feigb,t;
    const float rad =1.9;
    for( float x=-rad;x<=rad;x+=.5){
        t= sqrt( pow(f(uv.y,t),2.)+(x*x))-2.71828 * f1;
        feigb+=float(.002/length( (abs(uv.x)*-sin(4.9)) - (sin(t+time)*.5+f0) ) );
}
    
    gl_FragColor.rgb=vec3(feigb);
    gl_FragColor.a = (1.0);
 
} //endof main


