// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// metadata
// source : http://glslsandbox.com/e#35392.0
//f0:wobble dance:
//f1:zoom:
//f2:color rotate:
float f0 = mix(0.5, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
#define PI 3.1415926535897932384626

float hash(vec2 p) {
return fract(sin(dot(p, vec2(15.38, 35.76))) * 43728.23);
}


//---------------------------------------------------------------------------------------------------
void main(void) {

float mytime = float(itime) + ftime;
float tftime = mytime / 10. - (f0 * 5. );

vec2 p = ( gl_FragCoord.xy / tres.xy );
p.x += sin(p.y + tftime * 6.0) / 10.0;
p.y += sin(p.x + tftime * 12.0) / 10.0;
float span = 1.0;
float gt = mod(tftime, span * 100.0) / (span * 100.0);
float m = 1.0;
float n = 1.0;

float t = mod(tftime, span) / span;
p = 2.0 * p - 1.0;
p.x *= tres.x / tres.y;

p *= 50.0 * f1;
vec2 q = p;
float o = hash(floor(q / (5.0 * sqrt(2.0))));
float r = floor(o * 64.0) * 3.141592 / 2.0 ;

p = mod(p, sqrt(2.0) * 10.0) - sqrt(2.0) * 2.5;
p *= 0.05;

p = mat2(cos(r + mytime), -sin(r + tftime), sin(r + tftime), cos(r + tftime)) * p;
p.x += m * -(sin(t * 3.14 * 0.5) * 2.0 - 1.0);
p.y += m * -1.0;
float c = 0.0;
c = sin(abs(p.x) * 13.0 * (5.0 * o) - (o > 0.5 ? -1.0 : 1.0) * 1.0 * (0.1 + 4.9 * o));
c = smoothstep(0.0, 0.25, c);

c *= (0.5 + 0.5 * o / c);

gl_FragColor = vec4( c * (1.0 - o), c * f2, c + sin(o * 3.14 * 10.0 + mytime), 1.0 );


} //endof main


