// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:thickness:
//f1:wavy:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.2, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

vec3 hsv(float h, float s, float v){
    vec4 t = vec4(1.0, 2.0 / 3.0, 1.0 / 3.0, 3.0);
    vec3 p = abs(fract(vec3(h) + t.xyz) * 6.0 - vec3(t.w));
    return v * mix(vec3(t.x), clamp(p - vec3(t.x), 0.0, 1.0), s);
}

// http://glslsandbox.com/e#54777.0
void main( void ) {
    vec2 p = (gl_FragCoord.xy * 2.0 - resolution) / min(resolution.x,resolution.y);
    p*=1.1;
     vec2 q;

    vec2 l=vec2(1.,2.);
    q.y = length(p) * f2; 
    q.x = dot(p,l)/(length(p)*length(l));
    float u = sin((atan(p.y, p.x) + time * 0.5) * 10.0) * 0.3 * f1;

    vec3 line = vec3(0.0);
        vec3  color = hsv(0.8, 1.0, 1.);
        float thickness=0.008 * f0;
         line += thickness / abs(0.1+u-mod(q.y,.4)) * color;
         line += thickness / abs(0.2-mod(q.y,.2)) * color;
         line *= 1.-floor(q.y);
         line += thickness*10. / abs(sin((atan(p.y, p.x)+time*0.5 ) * 20.)+q.y  )* color;


        gl_FragColor = vec4(line, 1.0);


}


