// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:sun size:
//f1:sun vert:
//f2:sun sat:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 pos = ( gl_FragCoord.xy / resolution.xy ) + vec2(time,0.);
vec3 col = vec3(0.0);
float y = pos.y + sin(pos.x * 10.0 ) * 0.02 + sin(pos.x * 3.0) * 0.03 - pow(pow(cos(pos.x - 3.5), 200.0) + pow(cos(pos.x - 3.7), 900.0), sin(pos.x * 32.0 + 1.0) * 0.02) * 0.2;
float rad = f0 * 0.35;
float az = f1 * 0.5;
if (y > 0.2) {
vec2 xp = gl_FragCoord.xy / resolution.xx;
float d = distance(xp, vec2(0.5, az));
if (d < rad)
col = vec3(f2);
else
col = vec3(rad + 1.0 - d * 0.2 + 0.05, rad - d * 0.35 + 0.05, rad - 0.1 - d * 0.3 + 0.05) * 10.0 * 0.5;
col += pow(max((0.3- y * 0.2) * 3.0, 0.0), 4.0) * (1.0 - az);
}
gl_FragColor = vec4(col, 1.0);
}


