// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:back wall:
//f1:wall height:
//f2:ceiling:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.8, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
//---------------------------------------------------------------------------------------------------
void main(void) {


vec2 uv = ( gl_FragCoord.xy / tres.x) - 0.37;

uv.y = abs(uv.y);

uv.y += 0.02 * (8.*f1);
uv.y = max(f0 * 0.2, uv.y);
uv.x /= uv.y;


uv.x += time * 2.0;


float color = mod(floor(uv.x) + floor(uv.y * 8.0 * f2), 2.0) ;
float dist = sqrt(uv.y) * 1.0;
color = color * max(0.2, min(1.0, dist * 1.3));

gl_FragColor = vec4( color );
   
} //endof main


