// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:spin:
//f2:bright mod:
float f0 = mix(0.2, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// structure header
// rotwang: like this, @mod* little changes color, jags, tempo, scale //tigrou (ind) 2012.08.30 (tigrou dot ind at gmail.com)

float wheel(vec2 p,float t) {

  vec2 m = vec2(mod(p.x,2.0)-1.0, mod(p.y,2.0)-1.0);
  
float tata= t+1.0 * atan(m.y,m.x);
  float a = pow(sin(tata), 16.0);
  float e = 0.35 + min(a * 0.28, 0.26);
  float d = length(m);

  return d < e && d > 0.3 ? 1.0 - abs(sin(tata))*0.5  : 0.0;   
}


const float PI = 3.14159265;
void main( void ) {

vec2 p = (gl_FragCoord.xy / min(resolution.x, resolution.y))-0.5;
        p *= 2.0 * f0;

        float t = sin(time)*2.0 / f1;

float r = wheel(p, t)+wheel(p+vec2(1.0,1.0), t) * f2;
float g = wheel(p+vec2(1.0,0.0),-t+PI/2.0);
        float b = wheel(p+vec2(0.0,1.0),-t-PI/2.0)+g;

gl_FragColor = vec4(r,(r+b),b, 1.0);
}


