// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:vert count:
//f1:color offset:
//f2:brightness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

// https://www.shadertoy.com/view/lsffW4
float time = float(itime) + ftime;

//---------------------------------------------------------------------------------------------------
void main(void) {

    vec2 uv = tcoord.xy ;
    vec4 color;
    color = vec4(uv,0.5+f1*sin(time / 2.5),1.0);

    vec4 final_color;  // to set alpha

    vec4 ca ;
    vec4 cb ;
    vec4 cc;
    ca = vec4(abs(sin( uv.y * 5. - (time * 1.25))) + 1.25);
    cb = vec4(abs(sin( uv.x * 10. + (time * 0.25 ))) / f2 + 1.25);
    cc = vec4(abs(cos( uv.y * f0 * 40. - (time * 0.75))) + 2.5 );
    final_color = color+ca-cc/cb;
    gl_FragColor = vec4(final_color.rgb, 1.0);


} //endof main


