// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:mod 3:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// Author: https://twitter.com/c0de4

float random (in vec2 st) { 
    return fract(sin(dot(st.xy,vec2(12.9898,78.233)))
 * 43758.5453123);
}

// The MIT License // Copyright  2013 Inigo Quilez

float noise( in vec2 p ) {
    vec2 i = floor( p );
    vec2 f = fract( p );
    
    vec2 u = f*f*(3.0-2.0*f);

    return mix( mix( random( i + vec2(0.0,0.0) ), 
                     random( i + vec2(1.0,0.0) ), u.x),
                mix( random( i + vec2(0.0,1.0) ), 
                     random( i + vec2(1.0,1.0) ), u.x), u.y);
}


//---------------------------------------------------------------------------------------------------
//http://glslsandbox.com/e#51895.1
void main(void) {

vec2 p = gl_FragCoord.xy / min(resolution.x, resolution.y);
vec2 q = vec2(noise(vec2(p.x+cos(time*1.2)))*.5, noise(vec2(p.y+sin(time*1.1))));
vec2 r = vec2(noise(vec2(q.x+cos(time*.8)))*.5, noise(vec2(q.y+sin(time*.9))));
p = mod(p, 1.4) - .7;


#define d1 p = vec2(dot(p-q-r, p-q-r))*f0
#define d2 q = vec2(dot(q-r-p, q-r-p))/f1
#define d3 r = vec2(dot(r-p-q, r-p-q))/f2

//d3;d2;d1;d3;d2;d1;d1;//orig
// stop
d3; d2; d1; 
d3; d2; d1; 
d1;

gl_FragColor = vec4( vec3( p, p.x ), 1.);
   
} //endof main


