// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:diag zoom:
//f1:circle to rect:
//f2:pixellate:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// LEDs, https://twitter.com/#!/baldand/status/160081733180604417


void main( void ) {
vec2 v = ( gl_FragCoord.xy / resolution.xy ) ;
float w = 0.0;
float x = 0.0;
float z = 0.0;
vec2 u;
vec3 c;
v*= ( 5. + (5. * f0) );
u=floor(v)*.5+vec2(20.,11.);
u=u*u;
x=fract(u.x*u.y*9.1+time);
x*=(1.-length(fract(v)-vec2(.5,.5))*(2.*f2+x) + f1 );
c=vec3(v*x,x);
gl_FragColor = vec4(c,1.);
}


