// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:vert stretch:
//f1:zoom offset:
//f2:ripple offset:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

vec2 mouse = vec2(f0, f1);
float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 p = -1.0 + 2.0 * gl_FragCoord.xy / resolution.xy;
p.y *= resolution.y/resolution.x * f0 *2.;
vec2 m = -1.0 + 2.0 * .5 / resolution.xy;; // * mouse.xy / resolution.xy;
m *=10.0;
float t = time;
float a = atan(p.y,p.x ) *f2;
float r = length(p) *f1;
float sd = sign(r-f2);
vec3 tc=vec3(0.0,0.0,0.0);
for( int s=0;s<10;s++) {
float c = sin(r*70.*sin(t+float(s)*0.005) + sin(sin(a*4.0)*7.0)*0.5 ) >0. ? 0. : 1.0;
// tc +=c;
float rs = float(s)/10.0 * 3.1415 * 2.0;
tc += c*(0.5+0.5*cos(vec3(rs+1.0,rs+0.5,rs)));
}
tc = mod(tc,2.0)*0.5;
//tc /= 10.0;
gl_FragColor = vec4(tc,1.0);
}


