// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x mod:
//f1:y mod:
//f2:rotate:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.0, 1.0, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

mat2 rotate(float a) {
float c = cos(a), s = sin(a);
return mat2(c, -s, s, c);
}

//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#49908.0
void main(void) {

vec2 uv = (2. * gl_FragCoord.xy - resolution) / resolution.y;
vec3 color = vec3(0.9);
//uv *= rotate(time * .1);
uv *= rotate(f2 * 6.28319);
uv = abs(uv);
vec2 ar = vec2(sin(atan(uv.x, uv.y)), length(uv)) * vec2(f0,f1);
color = mix(color, vec3(.4, 0., .7), sin(8. * (ar.y * 1. - time) + time) + (8. * ar.x - 8. * ar.y));
color = mix(color, vec3(.7, .2, 0.), cos(8. ) * (5. * ar.y - 8. * ar.x));
color /= mix(color, vec3(.4, 0., .7), sin(8. * (ar.y * 1. - time) + time) + (8. * ar.x - 8. * ar.y));
gl_FragColor = vec4(color, 1.);
   
} //endof main


