// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:mod 3:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//by @mrdoob, @IndialanJones

void main( void ) {

vec2 position = gl_FragCoord.xy / resolution.xy;

float color = 0.0;
color = sin( position.x * cos( time / 166.0 ) * 20.0 ) + cos( position.y * cos( time / 165.0 ) * 10.0 * f0 );
color *= sin( position.y * sin( time / 10.0 ) * 40.0 ) + cos( position.x * sin( time / 225.0 ) * 100.0 * f1);
color *= sin( position.x * sin( time / 5.0 ) * 10.0 ) + sin( position.y * sin( time / 35.0 ) * 80.0 * f2);
color -= sin( time / 100.0 ) * 0.5;
gl_FragColor = vec4( vec3( color * sin( time * 2.0), 
color * 0.5 /time/0.001, 
sin( color + time / 100.0 ) * 0.45 ), 
     1.0 );

}


