// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:rings:
//f2:color mod:

float f0 = mix(0.1, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

#define PI 3.1415926535897932384626
//---------------------------------------------------------------------------------------------------
void main(void) {

vec4 mv1 = vec4(0.0);// stpq - zoom, speed, mod, mod
mv1 = vec4(0.005, 0.9, 4.0, 0.0);

mv1.s = f0 * 0.01;
float use_color = 0.0;// out color algorithms
vec3 out_col = vec3(0.5);// output color
float use_center = 0.0;// center? 0.0 = stationary
vec2 center = tres * .5;


float zoom = mv1.s; // 0.0004 is all pixel, large # zoom in..
float usetime = time * mv1.t;
float color1, color2, color;

if (use_center == 0.0) { center = vec2(320.0, 240.0);  }

color1 = (cos(length(gl_FragCoord.xy - center)*zoom))/2.0 /f1;
color2 = (sin(dot(gl_FragCoord.xy,vec2(cos(usetime*mv1.p),cos(usetime*mv1.p)))*zoom+usetime*mv1.p)+1.0)/2.0;
color = (color1+ color2)/2.0 *f2;

out_col.r   = (sin(PI*color/0.5+usetime*3.0)+mv1.q);
out_col.g   = (tan(PI*color1+usetime*3.0)+mv1.q);
out_col.b   = (cos(PI*color/0.3+usetime*9.0)+mv1.q)/f2;

gl_FragColor = vec4(out_col.rgb, 1.0);

   
} //endof main


