// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// metadata
// source : http://glslsandbox.com/e#36035.4
//f0:x mod:
//f1:y mod:
//f2:green strength:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
#define PI 3.1415926535897932384626


//---------------------------------------------------------------------------------------------------
void main(void) {

float mytime = float(itime) + ftime;

vec2 p = ( gl_FragCoord.xy -0.5* tres.xy)/tres.y;
p.x += 0.3*sin(p.y*3.14*2.0);
p.y += 0.2*sin(p.x*3.14*3.2);
p.x = sin(p.x*3.141592*2.0)* -f0+0.5;
p.y = sin(p.y*3.141592*3.0)*f1+0.5;
float g = distance(p, vec2(sin(mytime),0.0));
float d = sin(g*3.14*2.0 + mytime*2.0);

//float d = p.x;
float k = d*0.5+0.5 * f2;

vec3 ca = vec3(1.0, 0.0, 0.0);
vec3 cb = vec3(0.0, 0.0, 1.0);
vec3 cc = vec3(1.0, 1.0, 1.0);
vec3 cd = vec3(0.0, 1.0, 0.0);

vec3 col = vec3(1.0);
//col = mix(ca, cb, smoothstep(0.0, 0.33, k));
//col = mix(col, cc, smoothstep(0.33, 0.66, k));
//col = mix(col, cd, smoothstep(0.66, 1.0, k));

col  = col * sin(g*3.14*5.0);
//vec3 col = vec3(0.0);
col = mix(ca, cb, smoothstep(0.0, 0.33, k));
col = mix(col, cc, smoothstep(0.33, 0.66, k));
col = mix(col, cd, smoothstep(0.66, 1.0, k));

gl_FragColor = vec4( vec3( col ), 1.0 );


} //endof main


