// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:color mod:
//f2:brightness:

float f0 = mix(0.3, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
#define PI 3.1415926535897932384626


//---------------------------------------------------------------------------------------------------
void main(void) {
float mytime = float(itime) + ftime;

vec4 mv1 = vec4(0.0);// stpq - zoom, speed, mod, mod

float use_color = 0.0;// out color algorithms
vec3 out_col = vec3(0.5);// output color

float use_center = 0.0;// center? 0.0 = stationary
vec2 center = tres * 0.5;

mv1 = vec4(0.012, 0.5, 4.0, f2 * 2. );
use_color = 0.0;
use_center = 0.0;

float zoom = .03 * f0; // 0.0004 is all pixel, large # zoom in..
float mytimer = mytime * mv1.t;
float color1, color2, color;


color1 = (cos(length(gl_FragCoord.xy - center)*zoom))/( 4.0 * f1 + 0.3);
color2 = (sin(dot(gl_FragCoord.xy,vec2(cos(mytimer*mv1.p),cos(mytimer*mv1.p)))*zoom+mytimer*mv1.p)+1.0)/2.0;
color = (color1+ color2)/2.0;

out_col.r   = (cos(PI*color/0.5+mytimer*3.0)+mv1.q)/1.0;
out_col.g   = (sin(PI*color1/0.5+mytimer*3.0)+mv1.q)/3.0 ;
out_col.b   = (sin(PI*color/0.3+mytimer*9.0)+mv1.q)/2.0;

gl_FragColor = vec4(out_col.rgb, 1.0);



} //endof main


