// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
#define PI 3.1415926535897932384626
float time = float(itime) + ftime;
//f0:x pos:
//f1:x width:
//f2:y width:
        float f0 = mix(0.05, 0.95, fparams[0]);
        float f1 = mix(0.05, 0.95, fparams[1]);
        float f2 = mix(0.05, 0.95, fparams[2]);
//---------------------------------------------------------------------------------------------------


void main(void) {
        vec4 aColor= vec4(1.0); 
        float linePos = f0 * tres.x;
        float lineWidth = f1 * tres.x; 
float lineHeight = f2 * tres.y;

        if ( (gl_FragCoord.x > (linePos - lineWidth * .5))  && (gl_FragCoord.x < (linePos + lineWidth  * .5) ) ) {
if ( (gl_FragCoord.y > (tres.y *.5 - lineHeight) )  && (gl_FragCoord.y < (tres.y * .5 + lineHeight ) ) ) {
               gl_FragColor = aColor;
} else {
gl_FragColor = vec4(0., 0., 0., 1.);
}
        } else {
                gl_FragColor = vec4(0., 0., 0., 1.);
        }

} //endof main


