// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:cross pull:
//f1:ring mod 1:
//f2:ring mod 2:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// trying to copy some animated gif // gman

void main( void ) {

vec2 aspect = vec2(2. * f0, resolution.y / resolution.x);
vec2 p = abs((gl_FragCoord.xy / resolution) * 2.0 - 1.0) * aspect;
float d = sqrt(p.x * p.x + p.y * p.y);// circle
//float d = sqrt(p.x * p.x - p.y * p.y); // X

float t = time * 4.0;
float s = sin(t + d * f2 * 10.);
s = s * 0.5 + 0.5 / f1;
s = s * 50.0;
float c = cos(d * (60.0 + s)) * 4.0;

gl_FragColor = vec4( c, c, c, 1);
}


