// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:ring size:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

float max_distance = 300.0/((resolution.x+resolution.y)/2.0) * 2. * f2;
float dx = (f0 - gl_FragCoord.x/resolution.x);
float dy = (f1 - gl_FragCoord.y/resolution.y);
float pixDist = sqrt(pow(dx,2.0)+pow(dy,2.0));

float color = 1.0-cos(2.0*3.14)*pixDist*5.0 ;
float highlight = sin((time-pixDist)*10.0)*(1.0-min(pixDist/max_distance,1.0));

gl_FragColor = vec4(color,highlight,color,1.0);

}


