// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:baseamp:
//f2:count:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float viewAngle = 1.0;
float speed = 0.9;
float rate = 5. * f0;
float baseamp = 0.32 * f1;

void main(void) {
  vec2 p = -1.0 + 2.0 * ( gl_FragCoord.xy / resolution.xy );
  p = vec2(distance(p, vec2(0, 0)), sin(atan(p.x, p.y)*20.0 * f2));
  float x = speed * viewAngle * time + rate * p.x;
  float base = (5.0*cos(x*10.0 + time)) * (1.2 + 1.5*sin(x*4.95 + time));
  float z = fract(0.05*x);
  z = max(z, 100000.0-z);
  z = pow(z, 50.0);
  float pulse = exp(-10.0 * z ) ;



  float r = sin(gl_FragCoord.x / 1000.0 + sin(time)),
g = cos(gl_FragCoord.y / 1000.0 + time),
b = 0.01;


  vec4 ecg_color = vec4(r, g, b, 1.0);
  gl_FragColor = pow(1.0-abs(p.y-(baseamp*base+pulse-0.5)), 16.0) * ecg_color;
}



