// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:blur:
//f2:extend:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;

mat2 rotate(float a) {
float c = cos(a),
s = sin(a);
return mat2(c, -s, s, c * 2.*f2);
}

//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#49331.0
void main(void) {

vec2 uv = (2. * gl_FragCoord.xy - tres) / tres.y;
vec3 color = vec3(0.);

float s = f0;
for (int i = 0; i < 6; i++) {
uv = abs(uv) / dot(uv, uv); // kali iteration!! Thanks Kali
uv -= s;
uv *= rotate(time * .6);
s *= .8;
float b = .5 * f1;
//color.gb += .01 / max(abs(uv.x), abs(uv.y));
color.gb += smoothstep(.5 + b, .5, max(abs(uv.x), abs(uv.y))) * smoothstep(.45, .45 + b, max(abs(uv.x), abs(uv.y)));
}
//color /= 10.;
gl_FragColor = vec4(color, 1.);

   
} //endof main


