// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center y:
//f1:horz offset:
//f2:hsv rotate:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);



float time = float(itime) + ftime;
vec2 resolution = tres;

vec3 hsv(float h,float s,float v) {
return mix(vec3(1.),clamp((abs(fract(h+vec3(3.,2.,1.)/3.)*6.-3.)-1.),0.,1.),s)*v;
}

void main( void ) {

vec2 position = (gl_FragCoord.xy/resolution.y-vec2((resolution.x/resolution.y)/2.0,f0))/1.0;
float value = sin(1.0-distance(position,vec2(sin(atan(position.y *f1, position.x *f0) +time),sin(time+atan(time, position.y)-length(position))))*32.0+time*8.0)*.3+f2;

gl_FragColor = vec4(hsv(value+position.x*position.y, 1.0, 1.0), 1.0 );

}


