// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:blue shadow:
//f1:red shadow:
//f2:line thickness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

vec2 mouse = vec2(f0,f1);
float time = float(itime) + ftime;
vec2 resolution = tres;
// by @mnstrmnch


float barWidth = 0.5 *f2;
float PI = 3.14159265;

vec3 c0 = vec3( 255.0, 215.0, 0.0 ) / vec3( 255.0 );
vec3 c1 = vec3( 1.0, 0.0, 0.0 );

void main( void ) 
{
vec2 p = ( gl_FragCoord.xy / resolution.xx ) * 2.0 - vec2( 1.0, resolution.y / resolution.x );

vec3 color = vec3( 10.0 );

for( int i = 4; i >= 0; i-- ) {
float barY = sin( time * 1.324 + float( i ) * 0.04 + p.x ) * 0.33 + sin( time * 1.194 + p.x * 0.5 ) ;

if( p.y > barY - barWidth * 0.5 && p.y < barY + barWidth * f0 ) {
float angle = ( ( p.y - ( barY - barWidth * 0.5 ) ) / barWidth );
color = mix( c0.zyx, c1.zyx, float( i ) / 23.0 ) * vec3( sin( angle * PI ) );
}
}


for( int i = 5; i >= 0; i-- ) {
float barX = sin( time * 1.1347 + float( i ) * 0.1 + p.y * 0.25 ) * 0.25 + sin( time * 1. + float( i ) * 0.1 ) * 0.25;

if( p.y < ( float( i ) / 6.0 ) * 2.0 - 1.0  && p.x > barX - barWidth * 0.5 && p.x < barX + barWidth * f1 )
{
float angle = ( ( p.x - ( barX - barWidth * 0.5 ) ) / barWidth );
color = mix( c0, c1, float( i ) / 6.0 ) * vec3( sin( angle * PI ) );
}
}


gl_FragColor = vec4( color, 1.0 );

}


