// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:red pos:
//f1:green pos:
//f2:blue pos:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// @hektor41 // 20/06/12 // v.2

float sqr(float n) { return n*n;}


float move(float x, float y, float fx, float fy) {
float nx = x + cos(time*fx);
float ny = y / tan(time*fy)/sqrt(cos(y));
return sqrt(1.0/sqrt(nx*nx*nx + nx*ny - nx - ny)) *0.5 ;
}

void main( void ) {

// CONTROLS
 float zoom =100.0;

zoom += 0.5;
vec2 p = ( gl_FragCoord.xy /(resolution.x * 1.0/zoom));
float x = p.x;
float y = p.y;

float a = move(x-40.0,y-4.0,2.0,4.0)  *f0;
float b = move(x-20.0,y-2.0,10.0,-2.0)*f1;
float c = move(x-80.0,y-8.0,9.0,-8.0) *f2;

gl_FragColor = vec4(sqrt(a),sqrt(b),sqrt(c),1.0);

}


