// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:diag stretch:
//f1:horz stretch:
//f2:shading:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//@ME //Accidental geometry


float thing(vec2 pos) {
float ret = 0.;
float a = clamp(sin(pos.y + /* * */ 15.) + sqrt(10.+tan(pos.x - time)), 0., 15.);
float b = clamp(cos(pos.x / 15.) - tan((mod(pos.y - sin(0.0),  8.0 + sin(0.0)) * sin(0.0) + mod(pos.x - sin(0.0), 8.0 + sin(0.0)) * cos(time)) * 0.2) + sqrt(10.+tan(pos.y + time)), 0., 15.);
return a + b / f2 * 4.;
}

void main(void) {
vec2 position = ( gl_FragCoord.xy / resolution );
vec2 world = position * 30.0 *f0 + vec2(0.0, 0.0 * 2.0);
world.x *= resolution.x / resolution.y * 20. * f1;
float dist = 1./thing(world)*thing(world + vec2(sin(world.x), (world.y + world.x + time * 2.0) * 0.1))-0.01*thing(world + vec2(sin(mod(world.x, 2.0)), (world.y + world.x + time * 2.0) * 0.1));
gl_FragColor = vec4( dist, dist, dist, 1.0 );
}


