// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:red thickness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.755, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

#define PI 3.14159265359

void main( void ) {
vec2 position = gl_FragCoord.xy / resolution.xy * 2.0 - vec2(1.0);
position.x *= resolution.x / resolution.y;

float r = length(position);

//float a = atan(sin(position.y *0.00003), cos(position.y) );   // full white circle
//float a = atan(sin(position.y *0.00003), position.y );// half white cirle
//float a = atan(position.y , position.y );
//float a = atan(position.x , position.x );
//float a = atan(position.x * .5, position.x / position.y);
float a = atan(position.x * .5 * f0, position.x * position.y / f1);

if (mod(r, 0.3) > 0.2 * f2 *2. && mod(a - time, PI / 3.0) < 0.5) {
gl_FragColor = vec4(1.0, 0.0, 0.0, 1.0);
}else {
gl_FragColor = vec4(float(mod(a + r + time, PI / 1.5) < 0.3));
}
}


