// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:loop postion:
//f1:loop count:
//f2:loop threshold:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.25, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
uniform sampler2D b;

// Psychedelic julia sets by Kabuto 

void main( void ) {

vec2 position = (gl_FragCoord.xy / resolution.xy * 4. - 2.)*vec2(1.,.5);
vec2 src = 1.-abs(fract((vec2(position.x*position.x-position.y*position.y+sin(time*.3)*.25-1.,2.*position.x*position.y+cos(time*.3)*.25)*vec2(.25,.5)+.5)*.5)*2.-1.);
src *= resolution.xy;
vec2 srcf = floor(src);
vec2 srcn = fract(src) * f2;


vec4 color = texture2D(b, (srcf+vec2(0,0))/resolution.xy)*(1.-srcn.x)*(1.-srcn.y)
   + texture2D(b, (srcf+vec2(1,0))/resolution.xy)*srcn.x*(1.-srcn.y)
   + texture2D(b, (srcf+vec2(0,1))/resolution.xy)*(1.-srcn.x)*srcn.y
   + texture2D(b, (srcf+vec2(1,1))/resolution.xy)*srcn.x*srcn.y;


vec2 p = position*.5;
float atan = atan(p.y / f0,p.x);
float dist = length(p);

float dist2 = dist - (cos(atan*3./f1+time*.7)*.25*cos(time)+cos(atan*5./f1+time*.2)*.25*sin(time)+1.);

float mask = max(1.-abs(dist2)*3. *f2 ,0.);


color = color * (1.-mask) + (cos(time+dist2*vec4(192.,130.,100.,0.))*2.0+0.001)*mask;

gl_FragColor = vec4( color.rgb, 1.0 );

}


