// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:road wave:
//f1:road gray:
//f2:blue width:
float f0 = mix(0.1, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
void main(void) {
    vec2 p = gl_FragCoord.xy / resolution.xy * 2.0 - vec2(1.0,1.5);

    vec2 uv = vec2(p.x/abs(p.y), 1.0/p.y);
    uv.y -= time;

    vec3 col = vec3(0.95, 0.3, 0.0) * p.y;
    float rx = sin(uv.y)/2. / f0;
    float rx2 = sin(uv.y + 3.1415)/2. /f0;
    float rw = 1.0;
    if (p.y < 0.0) {
        mod(uv.y,2. ) >= 1. ? col = vec3(0., 1.0 , 0.) : col = vec3(0., 0.0, 0.);
    
if (uv.x >= rx-rw-0.1 && uv.x <= rx2+rw+0.1) { mod(uv.y, 0.4) >= 0.2 ? col = vec3(1.) : col = vec3(0.0, 0.2, 0.8); }
        if (uv.x >= rx-rw && uv.x <= rx2+rw) col = vec3(0.5 - f1);
        if (uv.x >= rx-f2 && uv.x <= rx2+f2 && mod(uv.y, 1.) >= 0.5) col = vec3(0.0, 0.20, 0.8);
    }
    gl_FragColor = vec4(col, 1.0);
}


