// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:mod 3:
float f0 = mix(0.05, 0.95, fparams[0]) * 0.5;
float f1 = mix(0.05, 0.95, fparams[1]) * 0.5;
float f2 = mix(0.05, 0.95, fparams[2]) * 0.5;

//http://www.glslsandbox.com/e#42250.0
float time = float(itime) + ftime;

//---------------------------------------------------------------------------------------------------
void main(void) {

vec2 p = 2.0*( gl_FragCoord.xy / tres.xy )-1.0;
p.x *= tres.x/tres.y ; 

float a = time * 0.5;
mat2 rot = mat2(-cos(a) *f0, sin(a) *f1, -sin(a)*-f2, cos(a));
p = rot * p;

vec3 col = vec3(0.5); 

float v = fract(-1.5 * time + abs(p.x + p.y) * 5.0 + abs(p.x-p.y) * -8.0);
float f = smoothstep(0.0, 0.7, v) - smoothstep(0.8, 0.9, v);

f = f / (1. + length(p));

//f = step(0.8, v);
col = f * vec3(1,1,1); 
gl_FragColor = vec4(col, 1.0);


} //endof main


