// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:swirl detail:
//f1:swirl offset:
//f2:circle zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.2, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

mat2 rot(float a)
{
  float s = sin(a);
  float c = cos(a);
  return mat2(c, s, -s, c);
}

// https://www.shadertoy.com/view/tls3Dl
void main(void) {

    vec2 pos = (gl_FragCoord.xy - 0.5 * tres.xy) / tres.y;
    float d = 3.0-length(1.5*pos)*8.0 *f2;
    if (d <= 0.0) d = 0.0; //fix log
    pos*=rot(pos.x*4.0+time+log(d));
    pos*=f0;
    pos+=vec2(f1);
   float vv = (pos.y*pos.y*pos.y*d);
   vv+=sin(pos.x*3.14);
   float v = sin(sin(pos.x*15.0)*4.0+(vv) * 2.5 + time * 2.0);
   gl_FragColor = vec4( v*0.54, .25+.2*v, 0.3, 1.0 )*d;
   gl_FragColor.a = 1.0;

}


