// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:h offest:
//f1:v stretch:
//f2:diag zoom:
float f0 = mix(0.05, 0.3, fparams[0]);
float f1 = mix(0.05, 0.3, fparams[1]);
float f2 = mix(0.3,  0.7, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float f(float x, float y) {
x = f0 * 5. * x;
y = f1 * 5. * y;

float nx = x + cos(time*10.*x);
float ny = y - sin(time*10.*y);

float formula = 1.0/( sin( x + time*0.1 ) * 2. - y ) / cos(time + (y*x)) * 15.;
float formula_effects = formula;///sqrt(ny);

return formula_effects;
}


// by @hektor41; 21/06/12; v.1

void main( void ) {

// CONTROLS
 float zoom = 20.0 * f2;
 float cameraX = 5.;
 float cameraY = (zoom*3.0)/10.0-0.5;
 cameraY *= 2.5;

// ^ ^ ^ ^

//zoom += 0.5;
vec2 p = ( gl_FragCoord.xy /(resolution.x * 1.0/zoom));
float x = p.x - cameraX;
float y = p.y - cameraY;

float a = f(x,y);

gl_FragColor = vec4(sqrt(a)/10.0,  sqrt(a)/8.0,  sqrt(a)/5.0,  1.0);

}


