// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//hahqh
//f0:x pos:
//f1:y pos:
//f2:bright:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
void main( void ) {

vec2 uPos = ( gl_FragCoord.xy / resolution.xy );//normalize wrt y axis
//suPos -= vec2((resolution.x/resolution.y)/2.0, 0.0);//shift origin to center

uPos.x -= f0;
uPos.y -= f1;

vec3 color = vec3(0.0);
float vertColor = 0.0;
for( float i = 0.0; i < 10.0; ++i ) {
float t = time ;;

uPos.y += sin( uPos.x*(i+1.0) + t+i/5.0 ) * 0.1;
float fTemp = abs(2.*f2/ uPos.y / 190.0);
vertColor += fTemp;
color += vec3( fTemp*(15.0-i)/10.0, fTemp*i/10.0, pow(fTemp,1.99)*1.5 );
}

vec4 color_final = vec4(color, 2.0);
gl_FragColor = color_final;

}


