// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz squeeze:
//f1:glow distance:
//f2:center mod:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

vec2 mouse = vec2(fparams.x, fparams.y);
float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 uPos = ( gl_FragCoord.xy / resolution.xy );
//suPos -= vec2((resolution.x/resolution.y)/2.0, 0.0);//shift origin to center

uPos.x -= 0.5 *f2;
uPos.y -= 0.5 *f2;

vec3 color = vec3(0.0);
float vertColor = 0.0;
for( float i = 0.0; i < 05.0; ++i ) {
float t = time ;

uPos.y += sin( uPos.x*(i+8.0 * f0) + t+i/05.0 ) * 0.11;
float fTemp = abs(1.0 / uPos.y / 100.0 * f1);
vertColor += fTemp;
color += vec3( fTemp*(10.0-i)/1.0, pow(fTemp,0.99)*0.8, pow(fTemp,0.99)*1.5 );
}

vec4 color_final = vec4(color, 10.0);
gl_FragColor = color_final;

}


