// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// source : http://glslsandbox.com/e#35323.2
// metadata
//f0:horz wave:
//f1:vert wave:
//f2:diagonal zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
#define PI 3.1415926535897932384626
vec2 mouse = vec2(f0, f1);


//---------------------------------------------------------------------------------------------------
void main(void) {

float mytime = float(itime) + ftime;


vec2 p = ( gl_FragCoord.xy / tres.xy) ; //zoome
p = p*2.0*f2;//slow mvt.
p.x *= tres.x/tres.y;

vec2 p2 = p;
p2.x += cos(p.y*PI*3.0)* f1;
p2.y += sin(p.x*PI*3.0)*f0;

float d = distance(vec2(0.,0.), atan(p2*PI)*3.0);
//float d = distance( (mouse*2.0-1.0)*4.0, atan(p*PI*2.0)*3.0);
//float d = distance(vec2(0.,0.), mod(p*1.0,0.5)/0.5);

//float a = sin(d * PI * 10.0 + mytime*10.0);
//float b = sin(d * PI - mytime*2.0);
//float c = a*0.3+b*0.7;

float col = sin(p2.x*PI*5.0+mytime*2.0)+sin(p2.y*PI*10.0);
float r = sin(p2.x*PI*5.0+mytime*2.0)+sin(p2.y*PI*10.0);
float g = sin(p2.x*PI*15.0+mytime*5.0)+sin(p2.y*PI*10.0);
float b = sin(p2.x*PI*15.0+mytime*5.0)+sin(p2.y*PI*7.0);

gl_FragColor = vec4( vec3( r,g,b ), 1.0 );

} //endof main


