// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:coil:
//f1:center hole:
//f2:ray count:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.5, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
// http://www.glslsandbox.com/e#43440.0
void main(void) {

   vec2 p = (gl_FragCoord.xy - resolution / 2.) / resolution.x;
   float c = 0.;
   
   float l = 1. / length(p) * 2.* f0;
   p = vec2(9. * atan(p.y, p.x) / (4. * asin(f2)), l);
   p.y += p.x / 3. + 2. * time;
   p.y /= 3.;
   c = mod(floor(p.x) + floor(p.y), 2.);
   c = mix(c, texture2D(tex, (fract(vec2(p.y, -p.x)))).x, 0.5);
   c == pow(0.6, l / log(resolution.x));
   
   if (length(gl_FragCoord.xy - vec2(.5) * resolution) < resolution.y / 15. * f1) c = 0.;
   
   gl_FragColor = vec4(c);


} //endof main


