// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:saw blades:
//f1:zoom 1:
//f2:zoom 2:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
#define PI 3.14159265359

void main (void) {
vec2 p = (gl_FragCoord.xy - (resolution.xy/vec2(2.)))/vec2(200. /f2);
float r=1./length(p)*f1+time;
float a=atan(p.x,p.y)/PI/2.+sin(time+cos(time+r)+r)/6.+sqrt(sin(r));
r=r+mod(a/f0,.1);
float V = abs(mod(a,.1)) < .01 || abs(mod(r,1.)) < .5 ? length(vec2(p.x*sin(r),p.y*cos(r))) : 0.5;
gl_FragColor=vec4(V, cos(time)*V, sin(r/V)*V, 1.);
}


