// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

// Leadlight by @hintz 2013-05-02

void main()
{
vec2 position = gl_FragCoord.xy / resolution.xx - vec2(f0,f1);

float r = length(position) * f2;
float a = atan(position.y, position.x);
float t = time + 100.0/(r+1.0);

float light = 15.0*abs(0.05*(sin(t)+sin(time+a*8.0)));
vec3 color = vec3(-sin(r*5.0-a-time+sin(r+t)), sin(r*3.0+a-time+sin(r+t)), cos(r+a*2.0+a+time)-sin(r+t));

gl_FragColor = vec4((normalize(color)+0.9) * light , 1.0);
}


