// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:notch count:
//f1:zoom:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.2, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float noise(float s){
return fract(cos(s*12354.123)*13.235235);
}


void main( void ) {

vec2 p = ( gl_FragCoord.xy / resolution.xy ) -0.5;
vec3 c=vec3(0);
float a=(atan(p.x,p.y)*50. * f0);
float d=length(p) * f1;
float rot=floor(cos(d*10.*2.*3.141))+.5;
float lum=rot*floor(noise((a*0.005+floor(d*20.)+rot*time*0.1)*0.00005)*10.*f2) ;
lum=smoothstep(.01,.5,lum*cos(d*12.));
c.x=d*lum;
c.y=lum*0.5;
c.z=lum/d*d ;
gl_FragColor = vec4( c, 1.0 );

}


