// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:red value:
//f1:green value:
//f2:blue value:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
vec3 color;

float loopto(float a, float top) {
a = mod(a, top*2.0);
if(a < top)
return a;
else
return top*2.0-a;
}

void main( void ) {
vec2 position = gl_FragCoord.xy / resolution.xy;
float angle = loopto(time, 10.5);
position = vec2(position.x / f0  * cos(angle) - position.y * sin(angle), position.y*cos(angle) + position.x * sin(angle)); 
vec3 color = vec3(1, abs(sin(position.x*loopto(time, 2.3) / 0.04)), sin(position.x*position.y*loopto(time, 2.3) / 0.04) ); 
vec3 color2 = vec3(abs(cos(position.y*loopto(time, 2.3) / 0.04)), 0.5, abs(cos(position.y*loopto(time, 2.3) / 0.04))); 
vec3 color3 = vec3(abs(cos(position.x*loopto(time, 2.3) / 0.04)), cos(position.x*loopto(time, 2.3) / 0.04), 0.1); 
vec3 color4 = vec3(0.3, abs(sin(position.y*loopto(time, 2.3) / 0.04)), 0.4); 
color = cross(color, color2) * 1.5;
color = cross(color, color3) * 2.0;
color = cross(color, color4) * 3.0;
color /= 10.0;
gl_FragColor = vec4(color.r * f0, color.g * f1, color.b * f2, 1.0);
}


