// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:pattern mod:

float f0 = mix(0.5, 0.95, fparams[0]);
float f1 = mix(0.3, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
//http://glslsandbox.com/e#48405.5

float time = float(itime) + ftime;
//---------------------------------------------------------------------------------------------------
void main(void) {

float t, T = time;
vec2 R = tres;
vec2 u = (2. * gl_FragCoord.xy -  R) / R.y * vec2(f0,f1);
vec2 v, k, a;

t = 1. / abs(u.y);
v = u * t + vec2(0., t + T);
k = fract(v) - .5;
a = 4. * vec2(atan(k.x, k.y), length(k)) * 2.*f2;
gl_FragColor = vec4(
vec4(u.y, 1, 2, 1) *
cos(a.x + a.y + T) * cos(a.x - a.y - T)
) * (1. - cos(u.y * 6.));

   
} //endof main


