// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:circle horz:
//f1:circle vert:
//f2:ring count:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 position = ( gl_FragCoord.xy / resolution.xy) ;  

vec2 lightPos = vec2(f0,f1) ;
float d = ( distance(lightPos, position)) + 0.3;
d += ( distance(vec2(0.5,0.5), position) * f2);
d += ( distance(vec2(sin(time),cos(time)), position) ) * 0.25;//circular pull

gl_FragColor = vec4(d, d * 0.7, d*0.2, 1.0) * sin(d * time * 0.05);
}


