// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz mod:
//f1::ver mod
//f2:color pos:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;

vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#38346.0

void main(void) {

  
vec2 uv = (gl_FragCoord.xy / resolution.xy );
uv.y /= resolution.x/resolution.y;
uv.x += .05*sin(uv.x*1.+time);
uv *= 5.;
uv = fract(uv);
uv = uv * 2. - 1.;


vec2 xy;
xy.x = uv.x * sqrt(1.-uv.y*uv.y/f0);
xy.y = uv.y * sqrt(1.-uv.x*uv.x/f1);

//xy=uv;

float r = length(xy) *f2;
float a = atan(xy.y,xy.x);

float cr = (sin(15.*sqrt(r)+time));
float cb = (cos(15.*sqrt(r)+time));
float cg = sin(12.*a);
gl_FragColor = vec4(cr,cb,cg,1.); 
} //endof main


