// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0::
//f1::
//f2::

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

#define MAX_ITER 2.0
//---------------------------------------------------------------------------------------------------
//http://glslsandbox.com/e#49433.1
void main( void ) {

vec2 p = tcoord*12.0 *vec2(f0,f1);
vec2 i = p;
float c = 0.0;
float inten = 0.15;
float r = length(p+vec2(sin(time),sin(time*0.433+2.))*3.) * f2 * 2.;

for (float n = 0.0; n < MAX_ITER; n++) {
float t = r-time * (1.0 - (1.9 / (n+1.)));
      t = r-time/(n+0.6);//r-time * (1.0 + (0.5 / float(n+1.)));
i -= p + vec2(
cos(t - i.x-r) + sin(t + i.y), 
sin(t - i.y) + cos(t + i.x)+r
);
c += 1.0/length(vec2(
(sin(i.x+t)/inten),
(cos(i.y+t)/inten)
)
);

}
//c=sqrt(c);
c /= float(MAX_ITER);
//r = 1.5-0.25*r;
//gl_FragColor = vec4(r*(sin(time*3.)+1.4)*2.*c*vec3(0.5, 0.5, 1), 1.0);
//gl_FragColor = vec4(c*vec3(0.5, 0.5, 1), 1.0);
//gl_FragColor = vec4(vec3(c,c,c*c)*vec3(2.3, 2., 2.5)-0.15, 1.0);
gl_FragColor = vec4(vec3(c,c,c)*vec3(2.4, 2.0, 2.5)-0.15, 1.0);

   
} //endof main


