// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:white offset:
//f1:zoom:
//f2:circle2 xpos:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.5, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

// source :  http://glslsandbox.com/e#35853.0

//---------------------------------------------------------------------------------------------------
void main(void) {

float mytime = float(itime) + ftime;

vec2 position = ( gl_FragCoord.xy / tres.xy);
position=position*2.0-1.0;
position.x*=tres.x/tres.y;
float color = 0.1;
//color+=0.01*sin(-12.0*mytime+30.0*distance(position.xy,vec2(-0.5,-1.0)))/(distance(position.xy,vec2(-0.5,-1.0))+0.02);
//color+=0.01*sin(-12.0*mytime+30.0*distance(position.xy,vec2(0.5,-1.0)))/(distance(position.xy,vec2(0.5,-1.0))+0.02);
float a=1.02*f0;
float b= -12.0 *f1 * .005;
float c=42.0;
position.x+=0.5;
float r=(distance(position.xy,vec2(0.0,0.0))+0.02);
float t=mytime;
vec3 d=vec3 ((a*r*c*cos(b*t+c*r)-a*sin(b*t+c*r))*position.x/pow(r,3.0),(a*r*c*cos(b*t+c*r)-a*sin(b*t+c*r))*position.y/pow(r,3.0),1.0);
position.x-=1.0 * f2;
r=(distance(position.xy,vec2(0.0,0.0))+0.02);
d+=vec3 ((a*r*c*cos(b*t+c*r)-a*sin(b*t+c*r))*position.x/pow(r,3.0),(a*r*c*cos(b*t+c*r)-a*sin(b*t+c*r))*position.y/pow(r,3.0),1.0);
position+=0.5;
color+=pow((dot(reflect(-normalize(vec3(f0*2.0-1.0,f0*2.0-1.0,0.6)-vec3(position.x,position.y,a*sin(b*t+c*r)/r+0.8)),normalize(d)),normalize(vec3(-position.xy,0.7))))/2.0+0.5,10.0)*2.0;
 
color+=a*sin(b*t+20.0*r)/2.0;
gl_FragColor = vec4( vec3( color,color,color*0.75+0.25), 1.0 );
 

} //endof main


