// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

vec2 mouse = vec2(fparams.x, fparams.y);
float time = float(itime) + ftime;
vec2 resolution = tres;
//f0:horz wave:
//f1:ball brightness:
//f2:vert squash:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.3, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

void main( void ) {

vec2 uv =2.0*(gl_FragCoord.xy/resolution.xy)-1.0;
float col=0.0;
float ball;
float time=fract(time*1.0);

for(float i=0.0;i<10.0;i++){
ball += pow(i/100.0/length(uv- f2 * 4. * vec2( cos(i/1.3*f0-1.0)-1.0 ,
(fract(i/10.0+time)/0.5-.5 ))),4.0 * f1);
}


col =ball;
gl_FragColor=vec4(col*0.3,col*0.4,col*0.2,1.0);
}


