// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:bright 1:
//f2:bright 2:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.15, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
float time = float(itime) + ftime;
vec2 resolution = tres;

uniform vec2 reyboard;

float thing(vec2 pos) {
float ret = 0.0;
pos.x = sqrt(pos.x / 2.14) * (sin(time * 0.5) ) / sign(pos.y) * tan(pos.x);
pos.y = sin(pos.y * 13.14) + sign(pos.x) - sqrt(pos.y/pos.x);
ret = max((pos.y * sin(time*5.)) + pos.x + sin(time * 0.1), sin(time));
return ret * f2 * 2.;
}

void main(void) {
vec2 position = ( gl_FragCoord.xy / resolution );
vec2 world = position * 16.0;
world.x *= resolution.x / resolution.y *f0;
float dist = thing(world)*0.06 /f1;

gl_FragColor = vec4( dist, dist, dist, 1.0 );
}


