// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:horz squash:
//f2:brightness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

const float PI = 3.1415926535;
const float TWOPI = PI*2.0;

float thing(vec2 pos) {
vec2 p = vec2(pos);
p.x = mod(sin (p.x)*TWOPI, TWOPI * 2.);
p.y = fract(cos(p.y)*TWOPI);
float c = distance(sin(p.y/PI), cos(p.x*(0.22+sin(time)*0.1)));
float d = sqrt(p.x*p.y) * sqrt(c * p.x);
return d + exp (c / p.y) + d;
}

void main(void) {
vec2 position = ( gl_FragCoord.xy / resolution );
vec2 world = position * (f0 * 10.)  - (5. * f0);
world.x *= resolution.x / resolution.y /f1;
float dist = 1./thing(world) /f2;

gl_FragColor = vec4( dist, dist, dist, 1.0 );
}


