// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

vec2 mouse = vec2(fparams.x, fparams.y);
float time = float(itime) + ftime;
vec2 resolution = tres;
//f0:move horz:
//f1:move vert:
//f2:complexity:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

vec2 cmul(const vec2 c1, const vec2 c2)
{
return vec2(
c1.x * c2.x - c1.y * c2.y,
c1.x * c2.y + c1.y * c2.x
);
}
void main( void )
{
vec2 resolution = tres * 0.5;
//float curSize = abs(sin(time/16.0))*150.0;

vec2 uPos = ( gl_FragCoord.xy / resolution.xy );//normalize wrt y axis
     
//uPos.x -= 1.4 + mod(time, 26.0)/10.0;
uPos.x -= 1.4 * f0 * 2. + cos(time/0.10)/20.0;
uPos.y -= 1.1 * f1 * 2. + sin(time/0.10)/20.0;

vec3 color = vec3(0.0);
float vertColor = 0.0;
for( float i = 0.0; i < 3.0; ++i )
{
float t = 0.2 + sin(time/12.0)*7.8 *(0.08) + 1.0;

vec2 origPos = uPos;
uPos.y += sin( uPos.y/2.0+uPos.x/2.0*(i/f2+1.0)+t ) * 2.1;
//uPos.x += sin( uPos.y/2.0+uPos.x/1.0*(i/0.5+1.0)+t ) * 2.1;
uPos =  cmul(origPos, uPos);

float fTemp = abs(1.0 / uPos.y/0.09 / 100.0);
vertColor += fTemp;
//color += vec3( fTemp*i/5.0, fTemp*i/40.0, pow(fTemp,i/24.0)/64.0 );
color += vec3( fTemp*i/12.0, 0.0, 0.0 );
}

vec4 color_final = vec4(color,  1.0);
gl_FragColor = color_final;
}


