// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz oscillate:
//f1:vert pos:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.3, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// by @hektor41 // v3.1

float f(float x, float y) {
//x = (mouse.x*10.0)*x; //Interactive

float nx = x + cos(time*x);
float ny = y + sin(time*y);

float formula = 1.0/( sin( sin(sin(x)) + time ) - y );
float formula_effects = formula*cos(formula*cos(time*x));

return 40.0/-sqrt(time/cos(sin(formula*x)+time))/formula_effects;
}



void main( void ) {

// CONTROLS
 float zoom = f2 * 16. ; 
 float cameraX = (zoom*5.0)/5.0;
 float cameraY = (zoom*3.0)/10.0-0.5;
 
// ^ ^ ^ ^ 

zoom += 0.5;
vec2 p = ( gl_FragCoord.xy /(resolution.x * 1.0/zoom));
float x = p.x - cameraX * f0;
float y = p.y - cameraY / f1 * .7; 

float a = f(x,y);

gl_FragColor = vec4(sqrt(a)/20.0,  sqrt(a)/8.0,  sqrt(a)/5.0,  1.0);

}


