// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:mod 3:
float f0 = mix(0.2, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// by rotwang

void main( void ) {

vec2 unipos = ( gl_FragCoord.xy / resolution );
vec2 pos = unipos*2.0-1.0;
float sint = sin(time);
float usint = sint*0.5+0.5;

float x = log(length(pos)*8. * f0);
float y = abs(pos.y) / f1;
float shade = x+y*usint*8.0 * sin(f2);

gl_FragColor = vec4( vec3( shade ) , 1.0 );

}


