// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:line count:
//f1:detail:
//f2:mod 1:
float f0 = mix(0.1, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;


#define M_PI 3.141592653589793

// boxes by @hintz 2013-05-08

void main(void)
{
vec2 position = (gl_FragCoord.xy - 0.5 * resolution.xy) / resolution.x;

float a = 0.1*time*M_PI/3.0;
float r = length(position) * 2. *f0;
float c = cos(a) * f2;
float s = sin(a);
mat2 rotate = mat2(c,s,-s,c) * f1 + 0.1;
vec2 q = sin(rotate*(position+4.0*position*sin(time+position.yx*2.0)+tan(2.0*position*rotate*rotate))*3.0*(1.5+sin(time*0.5)/r));
q=sqrt(abs(q)-0.1) ;

vec3 color = vec3(length(position+q));
color.rg += smoothstep(0.2,.0,abs(position.x));
vec2 p2 = (position+q) * rotate;
color.gb += smoothstep(0.2,.0,abs(p2.x));
vec2 p3 = p2 * rotate;
color.br += smoothstep(0.2,.0,abs(p3.x));
vec2 p4 = p3 * rotate;
color.rg += smoothstep(0.2,.0,abs(p4.x));
vec2 p5 = p4 * rotate;
color.gb += smoothstep(0.2,.0,abs(p5.x));
vec2 p6 = p5 * rotate;
color.br += smoothstep(0.2,.0,abs(p6.x));

color.g *= abs(position.x);
color.b *= abs(p2.x);
color.r *= abs(p3.x);
// color = reflect(q.xyy,color);
color.xy *= rotate;
color.yz *= rotate;
color = sqrt(abs(reflect(color,color.zxy)));
gl_FragColor = vec4(color, 1.0);
}


