// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// http://www.glslsandbox.com/e#39862.0
#define PI 3.1415926535897932384626
vec2 mouse = vec2(fparams.x, fparams.y);
float time = (float(itime) + ftime) * 10.0;
vec2 resolution = tres;


//---------------------------------------------------------------------------------------------------
void main(void) {
//f0:vert adjust:
//f1:orange flame:
//f2:blue flame:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.2, 0.95, fparams[2]);

vec2 p = ( gl_FragCoord.xy / resolution.xy );

vec4 c = vec4(0,0,0,1);
float r=0.,g=0.,b=0., fff1=0.,fff2=0.;
p.y-=  f0;
p.y*=2.;
fff1=(sin(p.x*10.*3.142+sin(p.y*10.+p.x*10.+0.8*time*sign(p.y))))*pow(p.y,f1 * 4.)*12.;
fff2=-(sin(p.x*10.*3.142+sin(p.y*10.+p.x*10.+0.8*time*sign(p.y))))*pow(p.y,f2 *4. )*12.;

c.rgb+=max(vec3(0.3,0.11,0.01)*fff1*2.,0.);
c.rgb+=max(vec3(0.11,0.3,0.3)*fff2*2.,0.);
gl_FragColor = c;


} //endof main


