// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:yin value:
//f1:yang value:
//f2:sizes:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
void main(void) {

vec2 half_res = resolution.xy / 2.0;
float time20 = time * 0.04;

float a1 = distance(half_res * (1.0 /f2 + sin(time20 * vec2(19 + 1, 2 * 19 + 1))), gl_FragCoord.xy);
float b1 = distance(half_res * (1.0 + sin(time20 * vec2(20 + 1, 2 * 20 + 1))), gl_FragCoord.xy);
float c1 = distance(half_res * (1.0 /f2 + sin(time20 * vec2(24 + 1, 2 * 24 + 1))), gl_FragCoord.xy);
float d1 = distance(half_res * (1.0 + sin(time20 * vec2(25 + 1, 2 * 25 + 1))), gl_FragCoord.xy);
float c = float(d1 / c1 *f0  > b1 *f1 / a1);

gl_FragColor = vec4(c, c, c, 1.0);
}


