// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0ihorz offset:
//f1:vert offset:
//f2:segment inflation:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.5, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// interference pattern with mouse control
void main( void ) {

vec2 position = gl_FragCoord.xy/resolution.y-vec2((resolution.x/resolution.y)/2.0,0.5);
float value = sin(1.0-distance(position,vec2(0.5,0.23))*64.0+time*8.0)*0.5+0.5;

position.x+=(-f0+0.5)*1.85;
position.y+=(-f1+0.5)*1.0;

value+=sin(1.0-distance(position,0.1 * vec2(sin(gl_FragCoord.x / resolution.x - time * 0.2) * 5.3,cos(gl_FragCoord.y / resolution.y + time * 0.3) * 5.3))*64.0+time*8.0)*0.5+0.5;

value = pow(value * f2, 50.);
gl_FragColor = vec4(value,value,value, 1.0 );

}


