// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:shape:
//f2:grid zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float rand (in vec2 seed) {
return fract (sin (dot (seed, vec2 (12.9898, 78.233))) * 137.5453);
}
//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#52099.0
void main(void) {


vec2 frag = (2.0 * gl_FragCoord.xy - resolution.xy) / resolution.y * (2. * f0);
//frag *= 1.0 - 0.2 * cos (frag.yx) * sin (3.14159 * 0.1);// * texture (iChannel0, vec2 (0.0)).x);
frag *= 10.0;
float random = rand (floor (frag));
vec2 black = smoothstep (1.0, .9, cos (frag * 3.14159 * f2));
vec3 color = vec3(1.0); //hsv2rgb (vec3 (random, 1.0, 1.0));
color *= black.x * black.y * smoothstep (f1, 0.2,length(fract(frag) - 0.5));
color *= 0.5 + 0.8 * cos (random * time ); // * texture (iChannel0, vec2 (0.7)).x);
gl_FragColor = vec4 (color * vec3(1.0,1.0,1.0), 1.0);
   
} //endof main


