// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:cell size:
//f2:cell offset:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float round(float a){
if(a<0.5)
return 0.;
return 1.;
}

vec3 frctl(vec2 a){
a = a * 8.;
a = vec2(a.x - 3.0, a.y - 1.5);

vec2 c = vec2(sin(time * 0.5) * 1.2,cos(time * 0.5)*3.0) *f2;
//vec2 c = a5
vec2 z = a * f0;

float r = 1.0, g = 1.0,b = 1.0;

for(float i = 0.0; i < 8.0; i++ ){
z = vec2(z.x * z.x - z.y * z.y, z.y * z.x + z.x * z.y);
z = vec2(z.x + c.x,z.y + c.y);

z = vec2(z.x * z.x - z.y * z.y, z.y * z.x + z.x * z.y);
z = vec2(z.x + c.x,z.y + c.y);

z = vec2(z.x * z.x - z.y * z.y, z.y * z.x + z.x * z.y);
z = vec2(z.x + c.x,z.y + c.y);

z = vec2(z.x * z.x - z.y * z.y, z.y * z.x + z.x * z.y);
z = vec2(z.x + c.x,z.y + c.y);
if(sqrt(z.x * z.x + z.y * z.y) > 1900.0 *f1){
r = i / 256.0;
g = z.x;
b = z.y;
break;
}
}
r = pow(r, 10.0);

return vec3(r,g,b);
}

void main( void ) {
vec2 position = ( gl_FragCoord.xy / resolution.xx );
vec3 color = frctl(position);

gl_FragColor = vec4(color, 1.0 );
}


