// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:mod 3:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
void main(void) {

 vec2 st = gl_FragCoord.xy / resolution - .5;

vec2 p = normalize((gl_FragCoord.xy * 2. - resolution) / min(resolution.x, resolution.y));

float t = time * .1;
st += p * mat2(cos(t), sin(t), -sin(t)*f1, cos(t)) * f0;
st *= abs(vec2(p.x + sin(t * 0.09 + .05), p.y + sin(t * .07 + .1))) * (.5 + f2);
float v = pow(abs(sin(length(st) * 10.)), 100.);


gl_FragColor = vec4(v * vec3(2., 2.,  3.), 1.);

   
} //endof main


