// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// metadata
// source : anomad
//f0:vert width:
//f1:horz width:
//f2:circle size:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
#define PI 3.1415926535897932384626
vec2 mouse = vec2(fparams.x, fparams.y);
float time = (float(itime) + ftime);


//---------------------------------------------------------------------------------------------------
void main(void) {
vec2 p = ( gl_FragCoord.xy / tres.xy ) ;

p-=.5;

p.x*=tres.x / tres.y;

vec3 c = vec3(0.);
c.r =smoothstep(0.2,f0 ,length(p.xx));//vert
c.g =smoothstep(0.2,f1 ,length(p.yy));//horz
c.b =smoothstep(0.2,f2 ,length(p.xy));//circle
gl_FragColor = vec4(c, 1.0 );



} //endof main


