// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:color offset 1:
//f1:color offset 2:
//f2:color rings:
float f0 = mix(0.2, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 position = gl_FragCoord.xy/resolution.y-vec2((resolution.x/resolution.y)/2.0,0.5);
//float value = sin(1.0-distance(position,vec2(0,0))*32.0+time*8.0)*0.5+0.5;

//float value  = sin(1.0-distance(position,vec2(0,0))*85.0 * f0); //+time*8.0)*0.5+0.5;
float value  = sin(1.0-length(position * 2.)*120.0 * f0 );///+time*8.0)*0.5+0.5;

//position.x+=cos(time/1.238374);
float value2 = sin(1.0-length(position)*32.0 * f1 );///+time*8.0)*0.5+0.5;

//position.y+=sin(time/1.6756);
float value3 = sin(1.0-length(position)*100.0 * mix(0.5, .8, sin(time * 0.5)) *f2);//+time*8.0)*0.5+0.5;

gl_FragColor = vec4(value3 *f0,value2-value3,value-length(value3+value2 + 0.05), 1.0 );

}


