// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:red mod:
//f1:grn mod:
//f2:blu mod:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
#define s 24
//---------------------------------------------------------------------------------------------------
//http://www.glslsandbox.com/e#43362.0

void main(void) {

   vec3 p = gl_FragCoord.xyz ;
   p.x  =  pow( sin(time+p.y/100.),2.)+pow( cos(time+p.x/100.),2. / f0);
   p.y  =   sin(time+p.y/100.)/cos(time+p.x) /f1;
   p.z  =   f2 /sin(time+p.x/100.)/cos(time+p.y) ;

   gl_FragColor = vec4(p, 1.0) ;

   
} //endof main


