// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:mod 3:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// Spider legion // by Luke H

void main( void ) {
float PI = 3.14159265;
vec2 p = -1.0 + 2.0 * ( gl_FragCoord.xy / resolution.xy );

//vec2 cst = vec2(cos(time/1.5), sin(time));
vec2 cst = vec2(cos(time), sin(time));
mat2 rot = mat2(cst.x, cst.y, -cst.y, cst.x);
//p = rot*p / f0;
p = p * .5 / f0;

vec2 pol = vec2( sqrt(dot(p/f1 ,rot*p)), atan(p.y, p.x * p.x) );

float j = (pol.x * 4.0 * p.x * 1.0 / pol.y*PI);
float c = pol.y
* sin(j)
* sin(120.0*sin(pol.x*2.0+time)/abs(pol.y * PI));

vec3 col = vec3(c/1.5, p.x/3.0, p.x*f2/c);
gl_FragColor = vec4(col,1.0);
}


