// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:stretch horz:
//f1:stretch vert:
//f2:arc strength:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 unipos = ( gl_FragCoord.xy / resolution.xy );

//vec2 centerpos = vec2(cos(time), sin(time));
vec2 centerpos = unipos * 2. / f0;
vec2 centerpos2 = unipos * vec2(cos(time/5.), sin(time/3.+2.)) / f2;
vec2 centerpos3 = unipos * vec2(cos(time/4.+2.), sin(time/9.+2.)) / f1;

float val1 = cos(8.*(distance(centerpos2, unipos)));
float val2 = sin(8.*(distance(centerpos.x, unipos.x)));
float val3 = sin(8.*(distance(centerpos3.y, unipos.y)));

//float val = (val1 + val2 + val3)/3.;
float val = (val1 + val2 + val3);

//gl_FragColor = vec4(val, val, val, 1.);
gl_FragColor = vec4(sin(val+time*5.), cos(val+time*3.), sin(val+.3+time*7.), 1.);
}


