// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz scroll:
//f1:vert scroll:
//f2:color rotate:
float f0 = mix(0.05, 0.25, fparams[0]);
float f1 = mix(0.05, 0.25, fparams[1]);
float f2 = mix(0.05, 0.25, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//by @mrdoob, @IndialanJones //mod ToBSn //bearing little resemblance to OG. - gtoledo

void main( void ) {
vec2 position = ((gl_FragCoord.xy / resolution.xy)+5. * vec2(f0,f1));
float t = 50.;
//float color = 0.0;
float color = sin( position.x * cos( t / 1.0 ) * 200.0 ) + cos( position.y * cos( t / 4.0 ) * sin(time*1.)+4. ) * 2.;
color *= sin( position.y * sin( t / 4.0 ) * 250.0 ) + cos( position.x * sin( t / 6.0 ) * cos(time*2.)+1. );
color *= sin( position.x * tan( t / 8.0 ) * 300.0 ) + sin( position.y * sin( t / 8.0 ) * (time+270.)/50.);
color -= sin( t / 2.0 * f2);
color /= 0.09;
float c1 = smoothstep(1.0, color, 5.);
float c2 = smoothstep(color, 1.0, 20.);
float c3 = c1 + c2;

gl_FragColor = vec4( vec3( c1, c3, c2 ), 1.0 );

}


