// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:scale:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------

void main( void ) {

vec2 position = ( gl_FragCoord.xy );
vec4 color;
float res_scale = resolution.x / resolution.y;
float x_dist = distance(position.x/resolution.x, f0);
float y_dist = distance(position.y/resolution.y, f1);

float scale = 0.05 * f2;
if(x_dist*res_scale<0.25+scale*sin(time*25.0) && y_dist<0.05+scale*sin(time*20.0)) {
color.rgb = vec3(1.0);
}
else {
color.rgb = vec3(0.0);
}

gl_FragColor = vec4(color.rgb,1);
}


