// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:lines 1:
//f1:lines 2:
//f2:shade:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.3, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//by @mrdoob, @IndialanJones

void main( void ) {
vec2 position = gl_FragCoord.xy / resolution.xy;
float t = 80. * f0 * sin(time * 0.05);
float color = 0.0;
color = sin( position.x * cos( t / 166.0 ) * 20.0 ) + cos( position.y * cos( t / 165.0 ) * 10.0 );
color *= sin( position.y * sin( t / 10.0 ) * 10.0 *f1 ) + cos( position.x * sin( t / 255.0 ) * 100.0 /f1 );
color *= sin( position.x * sin( t / 5.0 ) * 10.0 ) + sin( position.y * sin( t / 105.0 ) * 120.0 );
color -= sin( t / 100.0 ) * 0.8 - f2;
color /= 0.01;
color = smoothstep(color, 0.0, 25.5);
gl_FragColor = vec4( vec3( color, color, color ), 1.0 );

}


