// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:shape:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

vec2 center = vec2(f0, f1);
float speed = 0.035 ;  
float invAr = resolution.y / resolution.x;
float metric = 0.6 + ( f2* 0.4) ;
float dec = 15.;
void main(void) {
vec2 uv = gl_FragCoord.xy / resolution.xy;

//vec3 col = vec4(uv,(0.5+0.5*sin(time))*0.,1.0).xyz;
vec3 col = vec3(uv,(0.75+0.25*sin(time)));
   
     vec3 texcol;

float x = (center.x-uv.x);
float y = (center.y-uv.y) *invAr;

float r = -pow(abs(pow(x,metric)) + abs(pow(y,metric)),1./metric);
float z = 1.0 + 0.5 * sin(floor((r + time*speed)*dec)/dec/0.113);

gl_FragColor = vec4(1.-vec3(z,z,z)*col, 1.0);
}



