// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod sides:
//f1:mod zoom:
//f2:bg shade:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.2, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 position = ( gl_FragCoord.xy  - resolution.xy*.5 ) / resolution.y * .5;

float l = length(position)*20.;
float a = atan(position.y,position.x);
a *= sign(fract(l*.25+.125)-.5);
a += time;
a = a/3.1415926535*floor(l+.5)*3.;


vec2 pos2 = vec2(
fract(a)-.5,
fract(l+.5)-.5
);

pos2 *= mat2(.96 * f0,.28 +f0,-.28,.96);
pos2 = abs(pos2) / f1 ; 
float d = max(pos2.x,pos2.y);

float color = l > 1.5 && fract(l*.5-.25) *f2 < .5 && l < 9.5? step(abs(d-.36),.04) * sign(fract(a*.5)-.5) * .5 + .5 : 0.5;

gl_FragColor = vec4(vec3(pow(color / f2,.7 * f2)),1.);

}


