// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// source :  http://glslsandbox.com/e#36530.0
// metadata
//---------------------------------------------------------------------------------------------------
//f0:horz offset:
//f1:vert offset:
//f2:horz stretch:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.5, 0.95, fparams[2]) * 2.;


vec2 mouse = vec2(f0, f1);

//---------------------------------------------------------------------------------------------------
void main(void) {

float mytime = float(itime) + ftime;

vec2 position = ( gl_FragCoord.xy / tres.xy ) + mouse / 4.0;

float color = 0.0;
color += sin(position.x * f2 *16.0 + mytime) + sin(position.y * 16.0 + mytime);

gl_FragColor = vec4( vec3( color + f0, color * 0.5, sin(color + mytime)), 1.0 );

} //endof main


