// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
//
//
// .default fragment shader

varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//---------------------------------------------------------------------------------------------------
// metadata
// source : http://glslsandbox.com/e#35870.0

//f0:bar speeds:
//f1:vert shadow:
//f2:brightness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
float time = float(itime) + ftime;

float pro(float v) {
float p= cos(v*3.14);
for(int i = 1; i<4;i++) {
p = (p+cos(3.14*p+sin(v/float(i))*6.28)/float(i))*0.5;
}
return  sin(6.28/(p+2.));
}


//---------------------------------------------------------------------------------------------------
void main(void) {

float mytime = float(itime) + ftime;

vec2 pos = tcoord * 4.+vec2(mytime*-8.,0.);
pos.x+=floor(pos.y)* 50. *f0;//speed bars
//pos.y +=  sin(time) ;
pos.y +=  f1 ;
vec3 v = sqrt(abs(vec3(pro(pos.x),pro(pos.x+4.),pro(pos.x+8.))));
vec3 col = log(sin(4.6+pos.y*6.28)+2.3)*((normalize(v)+v)*f2);


gl_FragColor = vec4( col, 1.0 );

} //endof main


