// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:ball size:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.25, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
void main( void ) {

vec2 r = vec2(resolution.x/resolution.y,1.) * vec2(f0,f1) + 0.5;
vec2 p = ( gl_FragCoord.xy / resolution.y ) - r/2.;
p *= 2. / f2;

vec3 n = normalize(vec3(p,sqrt(0.25-(p.x*p.x+p.y*p.y))));

vec3 color = vec3(dot(n,vec3(cos(time),cos(time)*sin(time),sin(time))));

gl_FragColor = vec4( color, 1.0 );

}


