// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

// http://glslsandbox.com/e#39353.0

float time = float(itime) + ftime;
//---------------------------------------------------------------------------------------------------
void main(void) {


vec2 p = gl_FragCoord.xy / tres.xy * 2. - 1. * vec2(f0,f1) * 2.;
p.x *= tres.x/tres.y;

float a = atan(p.y,p.x);
float l = length(p) * f2 * 3.;

gl_FragColor = vec4( sin((l*3.+sin(a*10.)+a-time*7.)) );
   
} //endof main


