// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:bubble 0:
//f1:bubble 1:
//f2:bubble 2:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float getValue(vec2 p, vec2 p2, float cmin, float cmax) {
  p -= p2;
  float r=(cmax-cmin) + cmin;
  return abs(r-length(p));  
}

void main( void ) {

vec2 position = ( gl_FragCoord.xy / resolution.xy ) * 2.0 - vec2(1.0,resolution.y/resolution.x);

  float sint = sin(time);
  float cost = cos(time);
  
  float color = 0.0;
  color += getValue(position, vec2(sint*.1, sint*.2), .3, f0 * .7);
  color *= getValue(position, vec2(cost*.2, cost*.1), .3, f1 * .7);  
  color *= getValue(position, vec2(cost*.3, sint*.2), .3, f2 * .7);
    color *= getValue(position, vec2(sint*.4, cost*.1), .3, .4);
  color = 1./color*.00003;
  
gl_FragColor = vec4( vec3( color, color*.5, color ), 1.0 );
}



