// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:thickness:
//f2:ring reach:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// @simesgreen // rotwang: @mod* angular blend

void main( void ) {

vec2 p = (gl_FragCoord.xy / resolution.xy)*2.0-1.0;
p.x *= resolution.x / resolution.y * f0;

float unatan = (atan(p.x, p.y) / 3.14329)  ;
unatan = abs(unatan);
float r = unatan;

r += time;

float r2 = length(p) *f1; 
r2 = r - r2*6.0;
r2 = fract(r2);

float c = r2;

float range = f2 * 2. * (sin(time)*0.5+0.5)*r2;
float ma = smoothstep(1.0-range,1.0,1.0-unatan);
c = mix(c, 0.0, -ma);


float mb = smoothstep(0.0,range,unatan);
c = mix(c, 0.0, mb);

gl_FragColor = vec4( vec3(c, c*0.5, c*0.2), 1 );
}


