// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz wave stretch:
//f1:vert wave stretch:
//f2:glow brightness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// by @hektor41 // messed around with by @danbri, colours etc

float t;

float f(float x, float y) {
x = (f0*10.0)*x; //Interactive


float nx = x + cos(t*x) ;
float ny = y + sin(t*y + f1 * 100. );

float formula = 1.0/( sin( x + t +(2.*cos(t)) ) - y * sin(t) - sin(t/sqrt(t+ny*nx)) -tan(sqrt(f0)) );
float formula_effects = formula/asin(ny*f2);

return formula_effects;
}



void main( void ) {
t = time;
        //t = mod(t, 100.);
//if (t > 100.) { t = 100; }

        t = 10. * sin(time);


// CONTROLS
 float zoom =10.0;
 float cameraX = (zoom*5.0)/10.0;
 float cameraY = (zoom*3.0)/10.0-0.5;
 
// ^ ^ ^ ^ 

zoom += 0.5;
vec2 p = ( gl_FragCoord.xy /(resolution.x * 1.0/zoom));
float x = p.x - cameraX;
float y = p.y - cameraY;

float a = f(x,y);

gl_FragColor = vec4(sqrt(a+(3.5*(sin(t))))/10.0 * sqrt( x * cos(t*x)),  sqrt(a)/8.0 * sqrt(y + (sin(t)* tan(time  * .01))),  sqrt(a)/9.0 * sqrt(cos(t * 10.)+y + sin(t*y)),  1.0);

}


