// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:thickness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float m = min(resolution.x, resolution.y);


void main(void) {
vec2 position = gl_FragCoord.xy / m - vec2(0.5 * resolution.x / m, 0.5 * resolution.y / m) * 2. *vec2(f0, f1); 
vec2 point = vec2(cos(time), sin(time));
float c = 0.0;
//c += 0.001 / pow(distance(position, point / 3.0), 2.0);
//c += 0.001 / pow(distance(position, -point / 3.0), 2.0);

float thickness = 0.01 + f2 * 0.05; 
c += thickness / abs(position.x * point.y - position.y * point.x);
c += thickness / abs(position.x * point.x + position.y * point.y);
gl_FragColor = vec4(c * (0.5 + position.y), c * 0.5, c * (0.5 - position.y), 1.0);
}


