// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:color offset:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main(  ) {
vec2 p =(8.0*( gl_FragCoord.xy / resolution.xy )-4.0) * vec2(f0,f1);
p=(p*cos(time*0.2)+vec2(sin(time*0.1),cos(0.5*time)))/dot(p-cos(time*0.1),p+sin(time*0.2));
p=p/dot(p/f2*0.5+cos(time*0.1),p+sin(time*0.1));
vec3 coul= vec3(mod(exp(p.x*p.y),exp(p.y+p.x)),mod(pow(p.x/p.y,p.y+cos(time)),sin(time)), mod(exp(p.x+p.y),exp(p.y*p.x)));
gl_FragColor = vec4 (-1.0+2.0*clamp(abs(coul),0.2,1.) , 1.);
}


