// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:smooth:
//f1:density:
//f2:zoom:

float f0 = mix(0.10, 0.6, fparams[0]);
float f1 = mix(0.35, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
// http://glslsandbox.com/e#51946.0
void main(void) {

vec2 uv = f2*(2. * gl_FragCoord.xy - resolution) / resolution.y;
vec3 color = vec3(0);
vec3 rd = vec3(uv, f1 *2.0 + sin(time * 0.01));

float s = f0 + (sin(time) + 1.0) * 0.1;
for (int i = 0; i < 11; i++) {
rd = abs(rd) / dot(rd, rd);
        rd -= s;
color.rgb += rd;
}
color *= 0.08 + sin(time * 1.0) * 0.04;
gl_FragColor = vec4(color, 1.);

   
} //endof main


