// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz mod:
//f1:vert mod:
//f2:mod red+blue:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

float makePoint(float x,float y,float fx,float fy,float sx,float sy,float t){
   float xx=x+cos(t*fx*2.1)*sx;
   float yy=y+tan(t*fy*0.1)*sy;
   return 1.0/sqrt(xx*xx+yy*yy);
}

void main( void ) {

   vec2 p=(gl_FragCoord.xy/resolution.y)/1.0-vec2(1,sin(resolution.y*resolution.y)/20.0);

   //p=p*1.0;
   
   float x=p.x * f0;
   float y=p.y * f1;

   float a=
       makePoint(x ,y,.5,.5,.5,.5,time);
   a=a+makePoint(x,y,1.9,2.0,0.4,0.4,time);
   a=a-makePoint(x,y,0.8,0.7/time,0.4,0.5,time);
   a=a+makePoint(x,y,2.3,0.1,0.6,0.3,time);
   a=a-makePoint(x,y,0.8,1.7,0.5,0.4,time);

float b=
      makePoint(x,y,1.2,1.9,0.1,0.2,time);
   b=b+makePoint(x,y,0.7,2.7,0.4,0.4,time);
   b=b+makePoint(x,y,1.4,0.6,0.4,0.5,time);
   b=b+makePoint(x,y,2.6,0.4,0.6,0.3,time);
   b=b+makePoint(x,y,0.7,1.4,0.5,0.4,time);

   float c=
       makePoint(x,y,3.7,0.3,0.3,0.3,time);
   c=c+makePoint(x,y,1.9,1.3,0.4,0.4,time);
   c=c+makePoint(x,y,0.8,0.9,0.4,0.5,time);
   c=c+makePoint(x,y,1.2,1.7,0.6,0.3,time);
   c=c+makePoint(x,y,0.3,0.6,0.5,0.4,time);


   vec3 d = vec3(cos(a)*f0+(.5*f2),sin(b)+f1,sin(c)/f2)/sin(2.0 );
   
   gl_FragColor = vec4(d.x,d.y,d.z,1.);
   
}


