// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:outline count:
//f1:diag zoom:
//f2:hex brightness:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// this is proper ugly // @M // oh oh - now lets combine the two hexagon approaches :-) // Hexacubesnagons


float rand(float x) {
return mod(sin(x*119.)*79., 1.);
}

float hex(vec2 p) {
p.x *= 0.57735*2.0 /f0 * .5;
p.y += mod(floor(p.x), 2.0)*0.5;
p = abs((mod(p, 1.0) - 0.5));
return abs(max(p.x*1.5 + p.y, p.y*2.0) - 1.0);
}

float color(vec2 p) {
vec2 r, q;

p = p / vec2(sqrt(3.)/2., 1.5);
r = floor(p);
p = vec2(abs(mod(p.x+r.y, 2.)-1.), mod(p.y, 1.));
if(p.x/3. - p.y > 0.)
r.y--;
r.x = floor((r.x+mod(r.y,2.))/2.);
return rand(r.x*17.+r.y);
}

void main(void) {
vec2 p = gl_FragCoord.xy / resolution.x + vec2(sin(abs(mod(time, 2.)-1.)*sin(time/2.)/4.), sin(time/2.)*sin(time/15.));
float c = 0.;
p *= 20.0 * f1; // scale
c = color(p)*smoothstep(0.0, 0.1 /f2, hex(p.yx*0.57735 + vec2(0.12,0.5))); // why 0.72... bah - align by eye, close enough
gl_FragColor = vec4(c, c, c, 1.);
}


