// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//hexagon function by MrOMGWTF

float hexagonDist(vec2 p) {
vec2 ap = abs(p);
return max(ap.y - 0.89, ap.x - mix(1.0, 0.5, ap.y));
}

void main( void ) {

//vec2 position = ( gl_FragCoord.xy / resolution.xy * 2.0) -1.0;
vec2 position = ( gl_FragCoord.xy / resolution.xy) - 1. * vec2(f0,f1) ;
position *= pow(abs(f2+ 0.6), 3.33);
position.x *= resolution.x / resolution.y;
position *= 3.0;
float d = hexagonDist(position);
gl_FragColor = vec4((sin(d * 10.0)) < 0.05);
}


