// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:vert spread:
//f1:vert pos:
//f2:line length:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 p = ( gl_FragCoord.xy / resolution.xy ) ;


float c=0.0;

//c=1.0 - abs(0.5+0.1*cos(p.x*10.0+time*4.-cos(time*0.4)*5.2) - p.y + (p.x*sin(time)*0.25) + sin(time*((p.y-0.5)))*0.125);
c=1.0 - abs(f1+0.1*cos(p.x*10.0+time*4.-cos(time*0.4)*5.2) - p.y + (p.x*sin(time)*0.25) + sin(time*((p.y-0.5)))*0.125 /f0);
c=pow(c,21.0*p.x / f2) *(1.0-p.x);

gl_FragColor = vec4(c*p.x,c*p.y,c*sin(time),1.0);
}


