// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//f0:red shade:
//f1:brightness:
//f2:vert offset:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.2, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
float time = float(itime) + ftime;
vec2 resolution = tres;
/* lame-ass tunnel by kusma */
float rand (float x) {
return fract(sin(x * 24614.63) * 36817.342);
}

void main( void ) {
vec2 position = gl_FragCoord.xy;
float dd = length(position);

vec3 uv = vec3(dd, dd, dd);
float a = f0 *2. + cos(uv.x * 3.1415926 * 2.0) * 0.3;
vec3 color = mix(vec3(1.0, 0.8, 1.0), vec3(0.5, 0, 0), pow(a, 0.2)) * 3.;

float scale = sin(0.1 * time) * 0.5 + 5.0;
float distortion = resolution.y / resolution.x;

vec2 position2 = (((gl_FragCoord.xy * 0.8 / resolution) ) * scale);
position2.y *= distortion;

float gradient = 0.0;
vec3 color2 = vec3(0.0);
 
vec2 centered_coord = position2 - vec2(2.0,f2);

for (float i=1.0; i<=15.0; i++) {
vec2 star_pos = vec2(sin(i) * 200.0, sin(i*i*i) * 300.0);
float z = mod(i*i - 100.0*time, 512.0);
float fade = (456.0 - z) /100.0 * f1;
vec2 blob_coord = star_pos / z;
gradient += ((fade / 1500.0) / pow(length(centered_coord - blob_coord ), 1.8)) * ( fade);
}

color2 = color * gradient;

gl_FragColor = vec4( color2 , 1.0);
}


