// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz count:
//f1:vert count:
//f2:color pos:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

float PI = 3.141592;

void main( void ) {

vec2 position = ( gl_FragCoord.xy / resolution.xy );

float x = cos(time) + sin(time / 20.) * 10. + 10. /f0;
float y = sin(time) + cos(time / 10.) * 10. + 10. /f1;
float r = pow(sin(time * 5. + position.x * x) / 5., position.y * 2.) * x;
float g = pow(sin(time * 5. + position.y * y) / 5., position.x * 2.) * y;
float b = (r + g) / 2. * f2;
gl_FragColor = vec4( r, g, b, 1.0 );

}


