// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz offset:
//f1:vert offset:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// simple shader just for chill out.

void main( void ) {

vec2 uv = ( gl_FragCoord.xy / resolution.xy ) + 1. * vec2(f0,f1); 

vec3 c = vec3(0.0);
uv += vec2(sin(time),cos(time)) *f2;
c += step(uv.x,0.25)+step(uv.x, 0.5)*0.5;
c += step(uv.x, 0.75)*0.25;
c += step(uv.x, 1.0)*(0.25*0.5);
c.r += step(uv.y, 0.25)*0.25;
c.g += step(uv.y, 0.5)*0.5;
c.b += step(uv.y, 0.75)*0.75;
c.r += step(uv.y, 1.0)*1.0;

c.g += step(uv.x*uv.y, 0.5)*0.5;
c.b += step(uv.y-uv.x,0.2)*0.2;

c *= uv.x;
c *= uv.y;

c += smoothstep(uv.x, uv.y, 0.5)*c*c*uv.y*2.0;
c += smoothstep(uv.y*uv.x, uv.x, 0.5)*c*c*sin(uv.y);

c += step ( uv.x * uv.y , 0.5)*0.05;

gl_FragColor = vec4( c, 1.0 );

}


