// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
	precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:rotate:
//f1:count :
//f2:ring width:
float f0 = mix(0.0, 1.0, fparams[0]);
float f1 = mix(0.0, 1.0, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {
float aspect = resolution.y/resolution.x;
vec2 p = (( gl_FragCoord.xy / resolution.x )-vec2(0.5, 0.5*aspect));
float r = dot(p, p) ;
float st = f0 - 0.5;  //sin(time / 2.0) * f0;
float ct = cos(time / 2.0);

p.x = p.x * ct - p.y * st;
p.y = p.x * st + p.y * ct;

float d = log(abs(p.x)+abs(p.y))*10.0 * f1;
vec3 c;


if(r < 0.05 || r > 0.05+ 0.3 * f2) {
d -= time*8.0;
}
else {
d = -d - time*12.0 ;

}

c = vec3(sin(d * 2.0), sin(d * 1.0), cos(d * 3.0));


gl_FragColor = vec4(c, 1.0);

}


