// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:wave speed:
//f1:wave height:
//f2:mod blue+green:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// by @hektor41 // 21/06/12 // v.1


float f(float x, float y) {
//x = (vec2(f0,f1).x*5.0)*x; //Interactive

float nx = x + cos(time*x);
float ny = y - sin(time*y);

float formula = 1.0/( sin( x + time ) - y * f1 );
float formula_effects = formula/sqrt(.2*sin(ny));

return formula_effects;
}



void main( void ) {

// CONTROLS
 float zoom = 8.0;
 float cameraX = 25.0 *f0;
 float cameraY = (zoom*2.0)/10.0-0.5;
 
// ^ ^ ^ ^ 

zoom += 0.5;
vec2 p = ( gl_FragCoord.xy /(resolution.x * 2.0/zoom));
float x = p.x - cameraX;
float y = p.y - cameraY;

float a = f(x,y);
  
gl_FragColor = vec4(a/10.0,  
.5 * f2,  
//sqrt(a)/5.0,  
.5 - f2,  
1.0);

}


