// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:color pos:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// schmid

float saturate(float x) { return clamp(x, 0.0, 1.0); }
float svin(float p) { return sin(p*6.28) * f2; }
float r(vec2 v) { return sqrt(dot(v,v)); }
float a(vec2 v) { return atan(v.y,v.x) / 6.28; }
float a2(vec2 v) { return atan(v.y,v.x) / 6.28 * sin(v.x * 8.0); }

void main( void ) {

vec2 pos = ( gl_FragCoord.xy / resolution.xy );// + mouse / 4.0;
vec2 pc = pos * 2.0 - vec2(f0, f1) - .5;
float t = svin((time+svin(time))*0.1) ;
float x = 1.0-smoothstep(0.1, 1.0, r(pc) * 1.3 + svin(a2(pc) * 6.0 + t * 3.0) - svin(a2(pc) * 4.0 + 7.0) + t*1.1);
float y = 1.0-smoothstep(0.0, 1.0, r(pc) * 1.8 + svin(a2(pc) * 5.7 + t * 7.1) - svin(a2(pc) * 9.0 + 3.0) + t*1.2);
float z = 1.0-smoothstep(0.0, 1.0, r(pc) * 1.9 + svin(a2(pc) * 3.0 + t * 4.3) - svin(a2(pc) * 22.0) + t*1.3);
gl_FragColor = vec4(y+z, (x+y) * 0.4, (z+x) * 0.1, 1.0 );
}


