// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:hl brightness:
//f1:num rings:
//f2:sphere glow:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
/* lame-ass tunnel by kusma */

float rand (float x) {
return fract(sin(x * 24614.63) * 36817.342);
}

void main( void ) {
vec2 position = (gl_FragCoord.xy - resolution * 0.5) / resolution.yy;
float th = atan(position.y, position.x) / (2.0 * 3.1415926) + 10.0;
float dd = length(position) * f1;
float d = 0.5 / dd + time;

vec3 uv = vec3(th + d, th - d, th + sin(d));
float a = f0 + cos(uv.x * 3.1415926 * 2.0) * 0.3;
float b = 0.5 + cos(uv.y * 3.1415926 * 8.0) * 0.3;
float c = 0.5 + cos(uv.z * 3.1415926 * 6.0) * 0.5;
float f = abs(sin(time*2.0));
vec3 color = mix(vec3(1.0, 0.8, 1.0-f), vec3(0.5*f, 0, 0), pow(a, 0.2)) * 3.;
color += mix(vec3(0.8, 0.9, 1.0), vec3(0.1, 0.1, 0.2),  pow(b, 0.1)) * 0.75;
color += mix(vec3(0.9, 0.8, 1.0), vec3(0.1, 0.2, 0.2),  pow(c, 0.1)) * 0.75;

float scale = sin(1.1 * time) * 0.5 + 5.0;
float distortion = resolution.y / resolution.x;

vec2 position2 = (((gl_FragCoord.xy * 0.8 / resolution) ) * scale);
position2.y *= distortion;

float gradient = 0.0;
vec3 color2 = vec3(0.0);
 
float fade = 0.5;
float z;
 
vec2 centered_coord = position2 - vec2(2.0,1.0);

for (float i=1.0; i<=13.0; i++) {
vec2 star_pos = vec2(sin(i) * 200.0, sin(i*i*i) * 300.0);
float z = mod(i*i - 100.0*time, 512.0);
float fade = (456.0 - z) /300.0;
vec2 blob_coord = star_pos / z;
gradient += ((fade / 150.0 * f2) / pow(length(centered_coord - blob_coord ), 1.8)) * ( fade);
}

color2 = color * gradient;

gl_FragColor = vec4( max( color * clamp(dd, 0.0, 1.0) , color2 ) , 1.0);
}


