// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz move:
//f1:vert move:
//f2:blue value:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
//Dr.Zoidberg

float noise(vec2 v);
float interpolate(vec2 p);

float interpolate(vec2 p)
{
vec2 v0 = floor(p); 
vec2 v1 = floor(p.xy + vec2(1.0,0.0));
vec2 v2 = floor(p.xy + vec2(0.0,1.0));
vec2 v3 = floor(p.xy + vec2(1.0,1.0));
float fv0 = noise(v0);
float fv1 = noise(v1);
float fv2 = noise(v2);
float fv3 = noise(v3);


return 1.0*(fv0+(fv1-fv0)*(p.x-v0.x)+(fv2-fv0)*(p.y-v0.y)+(fv0-fv1-fv2+fv3)*(p.x-v0.x)*(p.y-v0.y));

}
float noise(vec2 v)
{
return fract(sin(v.x-v.y)*0.12 + 14.3 - cos(v.y) + cos(v.x*0.1500) + v.x+v.y);   
//0.5*floor(sin(2.0*3.14159265358979*v.y)+1.0) + 0.5*floor(sin(2.0*3.1415926538979*v.x)+1.0);
}


void main( void ) {
vec2 p = gl_FragCoord.xy / resolution.y;
vec3 color = vec3(0.0,0.0,0.0);
p.y -= 0.5 * f1 * 10.;
p.x -= (resolution.x / resolution.y) * 0.5;
p *=70.0;
float fx = (interpolate(0.35*p-time) + interpolate(0.5*p+time) + 3.5*interpolate(0.1*p+vec2(f0,1.0)*300.0))/3.0;
color = vec3(fx*0.7 -f2*.025,fx*0.7*(0.5+((sin(time*0.5)+1.0) / 2.0)),  0.8*fx / f2);

gl_FragColor = vec4(color,1.0);
}


