// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:dark center:
//f1:wedge divisions:
//f2:shade color:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

// just a basic template - @dist

void main( void ) {
vec2 position = ( gl_FragCoord.xy / resolution.xy );
vec2 positionn = ( position - vec2(0.5)) / vec2(resolution.y/resolution.x,1.0)*2.0;
float dist = distance(vec2(0.0), positionn);
float dist2 = float(int(dist*10.0 + (15.0*f0)))/10.0 ; // 10 steps in 1.
float angle = atan(positionn.y, positionn.x) / f1;

float value;
value = abs(.50-dist2) * abs(sin(sin(dist2*time*-8.)+2.*time*(1.0+dist2)+angle*3.));
vec3 color = pow(value, 3.0 /  f2) * vec3(0.7,0.4,0.2) * 0.4;

gl_FragColor = vec4( color, 1.0 );

}


