// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:color bands:
//f1:circle bands:
//f2:color mix:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

const float PI = 3.14159265;

void main(void) {

float mytime = float(itime) + ftime;

float usetime = mytime * .03;
float color1, color2, color, red, green, blue;

color1 = (cos(dot(gl_FragCoord.yx,vec2(tan(usetime*1.0),cos(usetime*3.0)))*0.02+usetime*4.0)+2.0)/f0;
vec2 center = vec2(tres.x, tres.y) + vec2(tres.x / 2.0 *sin(-usetime*80.0),240.0*cos(usetime*5.0) );
color2 = (sin(length(gl_FragCoord.xy - center/2.0)*0.03))/f1;
color = (color1 *f2+ color2)/4.0 ;

red   = (cos(PI*color/0.5+usetime*3.0)+1.0)/2.0;
green   = (sin(PI*color/0.5+usetime*3.0)+1.0)/2.0 + fparams.x * 0.5;
blue   = (sin(PI*color/0.3+usetime*9.0)+1.0)/2.0;

gl_FragColor = vec4(red, green, blue, 1.0);

} //endof main


