// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

// incredible owl by Psychedelic Reseearch Corp.

void main( void ) {
vec2 i,p = abs(( gl_FragCoord.xy / resolution.xy  * 2.0) - 1.0);
float m;
i=-(vec2(tan(time*0.2),cos(time*0.4))*0.4+0.4);
for(int l = 0; l < 2; l++) {
m=atan(dot(tan(p*p)*p,vec2(4.*f0,2.*f1)));
p=sqrt((p/m)*vec2(1.2+atan(p.y+time*0.1)*1.8,1.1+sqrt(p.x+time*0.2)*0.3)+i) * f2;
}
vec3 col=vec3(m*0.25*tan(time*0.6),m*0.75*sin(time*0.4), m*tan(p.x) );
gl_FragColor = vec4( (col-normalize(col)*1.95)*4.0, 2.0 );
}


