// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:color rotation:
//f1:zoom offset:
//f2:color cycle:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.23, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
void main( void ) {
float y = (gl_FragCoord.y - resolution.y / 2.0) * pow(9.0 - f1 * 40.0, sin(time / 2.0)) * sin((gl_FragCoord.x - resolution.x / 2.0) / 2000.0) + time + f0 * 10.0;
float value = floor(mod(y, 4.0));
gl_FragColor = vec4(sin(y), -sin(y), value * f2, 1.0);
}


