// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz mod:
//f1:vert mod:
//f2:color pos:
float f0 = mix(0.05, 0.95, fparams[0]) * 0.05;
float f1 = mix(0.5, 0.95, fparams[1]) ;
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// By @paulofalcao // Blobs // modded by @simesgreen // revealed by @psonice_cw // @rotwang: @mod+ hsv color change  

vec3 hsv2rgb(float h,float s,float v) {
return mix(vec3(1.),clamp((abs(fract(h+vec3(3.,2.,1.)/3.)*6.-3.)-1.),0.,1.),s)*v;
}

// returns distance to point
float makePoint(vec2 x, vec2 f, vec2 s, float t){
   vec2 p = vec2(sin(t*f.x), cos(t*f.y)) * s ;
   return length(p - x);
}

vec2 minDist(vec2 mind, float i, float d) {
   return min(mind, d);
   //return (d < mind.x) ? vec2(d, i) : mind;
}

void main( void ) {

   vec2 p=(gl_FragCoord.xy/resolution.x)*2.0-vec2(1.0,resolution.y/resolution.x);

   float t = time*0.2;
   //float t = 10.0;

f0*= .3;

   vec2 a = vec2(1e3, 0);
   a = minDist(a, 1.0, makePoint(p, vec2(2.0*f0 ,0.9), vec2(0.3,0.6)*f1, t));
   a = minDist(a, 2.0, makePoint(p, vec2(2.0*-f0 ,2.0), vec2(0.4,0.7)*f1, t));
   a = minDist(a, 3.0, makePoint(p, vec2(0.5 ,0.7), vec2(0.4,0.6)*f1, t));
   a = minDist(a, 4.0, makePoint(p, vec2(2.0*f0 ,0.3), vec2(0.6,0.6)*f1, t));
   //a = minDist(a, 5.0, makePoint(p, vec2(0.8,1.7), vec2(0.5,0.4), t));
   //a = minDist(a, 6.0, makePoint(p, vec2(0.3,1.0), vec2(0.4,0.4), t));
   //a = minDist(a, 7.0, makePoint(p, vec2(1.4,1.7), vec2(0.4,0.5), t));
   //a = minDist(a, 8.0, makePoint(p, vec2(1.3,2.1), vec2(0.6,0.3), t));
   //a = minDist(a, 9.0, makePoint(p, vec2(1.8,1.7), vec2(0.5,0.4), t));     

   float i = a.x * 20.0;

vec3 rgb = hsv2rgb( atan(i*f2,p.x),0.9,0.8);

   gl_FragColor = vec4(rgb, 1.0);
}


