// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:coil zoom:
//f1:coil size:
//f2:pinwheel:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.265, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;
// dashxdr was here 20120228


float rainbow(float x) {
x=fract(0.16666 * abs(x));
if(x>.5) x = 1.0-x;
return smoothstep(.166666, .333333, x);
}

void main( void ) {

vec2 position = ( 2.0*gl_FragCoord.xy - resolution) / resolution.xx;

vec3 color = vec3(0.0);

float r = length(position) * f0;
float a = atan(position.y, position.x);
//

float b = a*3.0/3.14159;
color = vec3(rainbow(b+3.0), rainbow(b+1.0), rainbow(b+5.0));

float t = f1*(1.0 + cos(a + 40.0 * r * (1.0 + sin(a*20.0)*.1) - time*3.0) * (5.0 / (r+5.0)));
t = (t<.5) ? 0.0 : 2.0 /f2;
gl_FragColor.rgba = vec4(color*t, 1.0);

}


