// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:stretch horz:
//f1:stretch vert:
//f2:line count:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// modified by @hintz

float lengthN(vec2 v, float n) {
vec2 l = pow(abs(v), vec2(n));
return pow(abs(l.x-l.y), 1.0/n) / (f2 +0.2);
}
 
float rings(vec2 p) {
return sin(lengthN(mod(p*5.0, 2.0)-1.0, 4.0)*5.0*lengthN(p,2.0)+time*3.0);
}

void main() {
vec2 p = (gl_FragCoord.xy*2.0 -resolution) / resolution.y * vec2(f0,f1);
float c = rings(p);
gl_FragColor = vec4(c,c*c*length(p),-c,1.0);
}


