// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:red movement:
//f1:green movement:
//f2:blue movement:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//MG

float RED = 0.2 * f0; 
float GRN = 0.4 * f1;//Distance of Green circles from center.
float BLU = 0.8 * f2; //Distance of blue circles from center.
float WIDTH = 0.025;//Width of lines.  0.0 ~ 0.2

//cut uniform float time;
//cut uniform vec2 mouse;
//cut uniform vec2 resolution;

void main( void ) {

vec2 pos=(gl_FragCoord.xy/resolution.y);
pos.x-=resolution.x/resolution.y/2.0;
pos.y-=0.5;

float dist=sqrt((pos.x-0.0)*(pos.x+BLU)+(pos.y-0.0)*(pos.y+0.0));
if (mod(dist-time/10.0,0.2)<WIDTH) {
gl_FragColor+=vec4(0.0,0.0,1.0,1.0);
}

dist=sqrt((pos.x-BLU)*(pos.x+0.0)+(pos.y-0.0)*(pos.y+0.0));
if (mod(dist-time/10.0,0.2)<WIDTH) {
gl_FragColor+=vec4(0.0,0.0,1.0,1.0);
}

dist=sqrt((pos.x-0.0)*(pos.x+GRN)+(pos.y-0.0)*(pos.y+0.0));
if (mod(dist-time/10.0,0.2)<WIDTH) {
gl_FragColor+=vec4(0.0,1.0,0.0,1.0);
}

dist=sqrt((pos.x-GRN)*(pos.x+0.0)+(pos.y-0.0)*(pos.y+0.0));
if (mod(dist-time/10.0,0.2)<WIDTH) {
gl_FragColor+=vec4(0.0,1.0,0.0,1.0);
}

dist=sqrt((pos.x-0.0)*(pos.x+RED)+(pos.y-0.0)*(pos.y+0.0));
if (mod(dist-time/10.0,0.2)<WIDTH) {
gl_FragColor+=vec4(1.0,0.0,0.0,1.0);
}
dist=sqrt((pos.x-RED)*(pos.x+0.0)+(pos.y-0.0)*(pos.y+0.0));
if (mod(dist-time/10.0,0.2)<WIDTH) {
gl_FragColor+=vec4(1.0,0.0,0.0,1.0);
}
}


