// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:twists:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------

vec2 rotate(vec2 p, float ang){
    float c = cos(ang), s = sin(ang);
    return vec2(p.y * c - p.x * s, p.y * s + p.x * c);
}

vec2 zoom(vec2 p, float factor){
    return vec2(p.x * factor, p.y * factor);
}
void main( void ) {
time *= .5;
//vec2 position = gl_FragCoord.xy/resolution.y-vec2((resolution.x/resolution.y)/2.0,0.5);
vec2 position = 2.0 * gl_FragCoord.xy / tres.xy - 1.0 * vec2(f0,f1) * 2.;

position=rotate(position,sin(time+length(position))*4.0);
position=zoom(position,sin(time*0.2)*2.0+2.1);
float value = sin(1.0-distance(position,vec2(0,0))*32.0+time*8.0)*0.5+0.5;
position.y+=sin(position.x*4.0+time)*0.2;
position.x+=cos(time/1.238374);
float value2=sin(1.0-length(position)*32.0+time*8.0)* 0.5 +0.5;
position.x+=sin(position.y*5.0+time)*f2;
position.y+=sin(time/1.6756);
float value3=sin(1.0-length(position)*32.0+time*8.0)*0.5+0.5;
value;
gl_FragColor = vec4(value3,value2-value3,value-length(value3+value2), 1.0 );

}


