// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:zoom:
//f1:offset:
//f2:offset start:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
void main(void) {

vec2 p = (gl_FragCoord.xy - resolution / 2.) / resolution.x;
p *= (20. * f0 + 1.);

float c = 0.;
float t = fract(time);
t *= t;
t *= 2. - t;

p *= mat2(1., -t, t, 1.) / (t * t + 1.);
vec2 q = floor(p + f2);
p -= q * f1 * 2.;
p *= mat2(1., t, -t, 1.);

float d = 10.;
for (int i = 0; i < 4; i++) {
d = min(d, max(abs(p.x - .5 - t * .5), abs(p.y - .5 + t * .5)) - t * .5);
p *= mat2(0., 1., -1., 0.);
}

c = (.5 - t * .5) * mod(floor(q.x) + floor(q.y) + ceil(sign(max(abs(p.x), abs(p.y)) - .5) * .5), 2.);
c += (c - 1. + t * .5) * floor(sign(d) * .5);
gl_FragColor = vec4(c);


} //endof main


