// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz pos:
//f1:vert pos:
//f2:color rotate:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//by @mrdoob, @IndialanJones //mod ToBSn //4th - color.-gt

void main( void ) {

vec2 position = ((-1.+2.*gl_FragCoord.xy / resolution.xy)-(-1.+2.*vec2(f0, f1)) );
//shadertoy style deform.-gt
float a = atan(position.y,position.x);
    float r = sqrt(dot(position,position));
    float s = r * (1.0+0.8*cos(time*1.0));

    float w = .9 + pow(max(1.5-r,0.0),4.0);

    w*=0.6+0.4*cos(time+3.0*a);

position.x =          .02*position.y+.03*cos(-time+a*1.0)/s;
position.y = .05*time +.02*position.x+.03*sin(-time+a*2.0)/s;

position.x = position.x*1.0001;    

float t = 8.;
//float color = 0.0;
vec3 color = vec3(sin( position.x * cos( t / 2.0 ) * sin(time*.23)*200. ));//+(time*.05)/50.;// + ( position.y * cos( t / 10.0 ) * sin(time*1.)+4. );
color.r *= sin( position.y * cos( t / 8.0 ) * 400.0 )+cos(time*2.)-2.;// + cos( position.x * sin( t / 8.0 ) * cos(time*2.)+50. );
color.g *= cos( position.x * sin( t / 8.0 ) * 400.0 )+sin(time*3.)+1.5;// - sin( position.y * sin( t / 2.0 ) * sin(time));
color.b -= sin( t / 2.5 );
color /= 2.3;
color *=w / f2;  
//float c1 = smoothstep(0.0, color, 5.);
//float c2 = smoothstep(color, 0.0, 100.);
//float c3 = c1 + c2;

gl_FragColor = vec4( vec3(color), 1.0 );

}


