// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:back mountain:
//f1:blue sine:
//f2:green tan line:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
void main( void ) {

//vec2 pos = ( gl_FragCoord.xy / resolution.xy ) + vec2(f0,f1) / 4.0;
vec2 pos = gl_FragCoord.xy;

vec3 color = vec3(0.0,0.0,0.0);
float x = pos.x - (resolution.x/2.0 * f1);
float y = pos.y - (resolution.y/2.0);

color = vec3(sin((time*pos.x*100.0)/7500.0)/4.0+0.5);
color += vec3(sin((time*pos.y*100.0)/7500.0)/4.0+0.5);
if (mod(pos.x, 40.0) > 0.5 && mod(pos.y, 40.0) > 0.5)
color = vec3(0.1);

if (y > sin((x+time*-50.0)/100.0)*200.0 * f0 )
color += vec3(0.0,0.0,0.5);
if (y < cos((x+time*-90.0)/100.0)*100.0 )
color += vec3(0.5,0.0,-f0);

float j = tan((x+time*-140.0)/100.0)*100.0 * f2;

if (y < j )
color += vec3(0.0,max(1.0-(abs(j-y)*0.01),0.0),0.0);
if (abs(y-(sin((x+time*150.0)/100.0)*400.0 *f1)) <15.0)
color *= vec3(0.4, 0.4, 2.0);
if (abs(y-(cos((x+time*70.0)/100.0)*100.0)) < 5.0)
color *= vec3(2.0, 0.4 *f1, 0.4);
if (abs(y-(tan((x+time*-170.0)/100.0)*100.0)) < 5.0)
color *= vec3(0.4, 2.0, 0.4);

gl_FragColor = vec4( color, 1.0);

}


