// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:red bright:
//f1:green bright:
//f2:blue bright:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//MG



vec2 sincostime( vec2 p ){
p.x+=sin(p.x*2.0+time)*0.4-cos(p.y*1.0-time)*0.5-sin(p.x*3.0+time)*0.3+cos(p.y*3.0-time)*0.1;
p.y+=sin(p.x*5.0+time)*0.7+cos(p.y*8.0-time)*0.3+sin(p.x*4.0+time)*0.5-cos(p.y*6.0-time)*0.3;
return p;
}

void main() {
float red_speed= 0.9;
float gre_speed= 0.2;
float blu_speed= 0.5;

vec2 pos=(gl_FragCoord.xy/resolution.y);
pos.x-=resolution.x/resolution.y/2.0;pos.y-=0.5;
pos=sincostime(pos) / 6.0;
vec2 mse;
mse.x+=resolution.x/resolution.y ;
//mse.y+= 0.;

float fx=sin(pos.x*10.0+time*gre_speed+mse.x*gre_speed*2.0)/3.0 ;
float dist=abs(pos.y-fx)*50.0 * f1;
gl_FragColor+=vec4(0.5/dist,1.0/dist,0.5/dist,1.0);

fx=cos(pos.x*20.0+time*red_speed+mse.x*red_speed*2.0)/4.0;
dist=abs(pos.y-fx)*50.0 * f0;
gl_FragColor+=vec4(1.0/dist,0.5/dist,0.5/dist,1.0);

fx=cos(pos.x*5.0+time*blu_speed+mse.x*blu_speed*2.0)/2.0;
dist=abs(pos.y-fx)*50.0 * -f2;
gl_FragColor+=vec4(0.5/dist,0.5/dist,1.0/dist,1.0);
}


