// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:center x:
//f1:center y:
//f2:zoom:
        float f0 = mix(0.05, 0.95, fparams[0]);
        float f1 = mix(0.05, 0.95, fparams[1]);
        float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// bonnie 
void main(void) {

vec2 p = gl_FragCoord.xy/resolution.xy - 1. * vec2(f0,f1);
float dist = length(p) / f2;
float x = sin(atan(p.y,p.x)*5.0 +time*2.0 + sin(time)*dist*0.5)/(dist*0.1+time*0.00005);
vec3 c = vec3(0.5*(1.0+cos(time)), 0.2*sin(2.0 + 10.0*(2.0+cos(time))*dist), 0.5*(1.0+cos(time*2.0)));
gl_FragColor = vec4(x*c*cos(x+time), 1.0);

}


