// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz mod:
//f1:vert mod:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//anony_gt //mod @ToBSn

uniform vec2 reyboard;


float thing(vec2 pos) {
float ret = 0.0;
pos.x = cos(pos.x) * (sin(time * 1.5) + 15.2) / tan(pos.y) * tan(pos.x);
pos.y = sin(pos.y * 0.00014) + (length(pos)*0.001) - distance(pos.y,pos.x);
ret = max(pos.x - pos.y + sin(time * 0.1), pos.y) - cos(time);
return ret;
}

void main(void) {
vec2 position = ( gl_FragCoord.xy / resolution ) * vec2(1., .25);
vec2 world = (position - vec2(f0, f1)) * 20.0 *f2;
world.x *= resolution.x / resolution.y;
float dist = thing(world)*0.5;

gl_FragColor = vec4( dist, dist, dist, 1.0 );

}


