// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:red offset:
//f1:bright offset:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
void main( void ) {
vec2 p = -1.0 + 2.0 * f0 *  gl_FragCoord.xy / resolution.xy;
float r = sin(gl_FragCoord.x) * dot(p,p) ;
float g = f1*1.0+sin(gl_FragCoord.x/2.0)+cos(gl_FragCoord.y/2.0);
float b = mod(sin(p.x+gl_FragCoord.x/100.0)* f2 *cos(p.y+gl_FragCoord.y/100.0 * f2)+time,0.5);
gl_FragColor = vec4(r,b,g,1.0);
}


