// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.35, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
void main( void ) {
float bounce = sin(time);

//vec2 ball = vec2(0.5, (abs(sin(time) * 0.3 * abs(sin(time / 0.2))) + 0.15));
vec2 ball = vec2(f0,f1);

vec3 color = vec3(0.2);

//vec2 light = vec2(1.0, 1.0);

vec2 dist = gl_FragCoord.xy;
vec2 uv = dist / resolution.xy;
uv.y /= resolution.x / resolution.y;

color += uv.y - 0.2;

// Calc dist
//float lightdist = length(light - ball) + 0.1;


float len = length(uv - ball) * f2;
if (len < 0.1) {
vec2 highlight = ball + vec2(0.05-0.1*f0, 0.05-0.1*f1);
color = vec3(-((length(uv - highlight) * 7.0 *f2) - 1.0));
}

gl_FragColor = vec4(color, 1.0);
}


