// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:color pos:
//f1:posterize:
//f2:tentacle:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


vec2 mouse = vec2(fparams.x, fparams.y);
float time = float(itime) + ftime;
vec2 resolution = tres;
// @mod* rotwang

float u( float x ) { return 0.35+0.5*sin(x*cos(x)); }

void main(void) {

    float td8 = time  / 1.0;

    vec2 p = (2.0*gl_FragCoord.xy-resolution)/resolution.y;

    float a = atan(p.x,p.y);
    a = a*a;
    float r = length(p)*0.9;

    float sides = 2.0 - 2.0*sin(time);
    float rings = 1.0 + 4.0*sin(time);
    float w = cos(3.1415927*td8-r) / f2 ;
    float h = 0.5+0.5*asin(time)+0.5*cos(sides*a-w*sides*rings+r*3.0);
    float d = 0.5+0.75;
    d*=pow(h,8.0*r * f0)*(0.75+0.1*w);

    float col = u( d-r ) * sqrt(1.0-r/d)*r*1.66 / f1;
    gl_FragColor = vec4(
        col-h*r + 0.1*h*(1.0-r),
        col-h*0.5+r*.2 + 0.55*h*(1.0-r),
col,
        1.0);
}


