// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:twirling:
float f0 = mix(0.25, 0.95, fparams[0]);
float f1 = mix(0.25, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// structure header
//idea by harley for my intro... need some text writer on top ;)
#define PI 3.14159265359

void main (void) {
vec2 p=gl_FragCoord.xy;
float x=(p.x-resolution.x/2.)/60.*f0;
float y=(p.y-resolution.y/2.)/60.*f1;
float r=1./sqrt(x*x+y*y)+cos(time);
float a=atan(x,y)/PI/2.+atan(time)+sqrt(cos(r) * f2);
r=r+mod(a,.1);
float V=abs(mod(a,.1))<.01||abs(mod(r,1.))<.1?1.:0.;
gl_FragColor=vec4(V*max(sin(time),cos(time+r)),V*cos(time+x)*x,V*sin(time+y)*y,1.);
}


