// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:x pos:
//f1:y pos:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------
/* lame-ass tunnel by kusma */
void main( void ) {
vec2 position = 2.0 * gl_FragCoord.xy / tres.xy - 1.0 * vec2(f0,f1) * 2.;
//vec2 position = (gl_FragCoord.xy - resolution * 0.5);
float th = atan(position.y, position.x) / (2.0 * 3.1415926) + 10.0;
float dd = length(position) * f2 * 4.;
float d = 0.5 / dd + time;

vec3 uv = vec3(th + d, th - d, th + sin(d));
float a = 0.5 + cos(uv.x * 3.1415926 * 2.0) * 0.3;
float b = 0.5 + cos(uv.y * 3.1415926 * 8.0) * 0.3;
float c = 0.5 + cos(uv.z * 3.1415926 * 6.0) * 0.5;
float f = abs(sin(time*2.0));
vec3 color = mix(vec3(1.0, 0.8, 1.0-f), vec3(0.5*f, 0, 0), pow(a, 0.2)) * 3.0 ;
color += mix(vec3(0.8, 0.9, 1.0), vec3(0.1, 0.1, 0.2),  pow(b, 0.1)) * 0.75;
color += mix(vec3(0.9, 0.8, 1.0), vec3(0.1, 0.2, 0.2),  pow(c, 0.1)) * 0.75;

gl_FragColor = vec4( max( color * clamp(dd, 0.0, 1.0) , color ) , 1.0);
}


