// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz move:
//f1:vert move:
//f2:mod shape:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

uniform vec2 reyboard;

float thing(vec2 pos) {
float ret = 0.0;
pos.x = cos(pos.x * 3.14) * (sin(time * 0.5) + 1.2);
pos.y = sin(pos.y * 3.14) + length(pos) - distance(pos.y,pos.x);
ret = max(pos.x + pos.y * sin(time / 0.1), pos.y);
return ret;
}

void main(void) {
vec2 position = ( gl_FragCoord.xy / resolution );
vec2 world = (position - vec2(f0, f1)) * 7.0;  //num columns
world.x *= resolution.x / resolution.y;
float dist = thing(world)- 1.2 * f2;

gl_FragColor = vec4( dist, dist, dist, 1.0 );

if (abs(dist) < 0.1) 
{
gl_FragColor.rgb = vec3(1. - abs(dist * 21.0));
}
}


