// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:purple thick:
//f1:mod wave 1:
//f2:mod wave 2:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


vec2 mouse = vec2(fparams.x, fparams.y);
float time = float(itime) + ftime;
vec2 resolution = tres;
// structure header
#ifdef GL_ES
precision mediump float;
#endif

//cut uniform float time;
//cut uniform vec2 mouse;
//cut uniform vec2 resolution;

void main( void ) {
vec2 uv = gl_FragCoord.xy / resolution.xy * 2.0 - f2;
uv.y += (sin(uv.x*6. *f1)  * cos(time*2.0));
vec3 col = vec3(0.0, 0.0, 0.0);
col = (abs(uv.y*2.0) >= 2.0 * f0) ? vec3(0.7) : vec3(0.7, 0.2, 0.6);
if (abs(uv.y) >= 1.0)
col = vec3(0.0, 1.0, 0.0);
gl_FragColor = vec4(col, 1.0);
}


