// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:white+gray:
//f1:blue+green:
//f2:diag zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
// structure header
#ifdef GL_ES
precision mediump float;
#endif

// Hm?

void main( void ) {

vec2 pos = ( gl_FragCoord.xy / resolution.xy ) * (50.  * f2  + 5. ) + vec2((1000. * sin(time) / tres.x), (1000. * cos(time) / tres.y));
if ((sin(pos.x) > 0.)&&(sin(pos.y) >0.)){
gl_FragColor=vec4(1.0, 1.0, 1.0, 1.0);
}
if ((sin(pos.x) < 0.)&&(sin(pos.y) < 0.)){
gl_FragColor=vec4(f0, f0, f0, 1.0);
}
if ((sin(pos.x) < 0.)&&(sin(pos.y) > 0.)){
gl_FragColor=vec4(0.0, f1, 0.0, 1.0);
}
if ((sin(pos.x) > 0.)&&(sin(pos.y) < 0.)){
gl_FragColor=vec4(sin(time * 0.05), 0.0, 1.- f1, 1.0);
}

//gl_FragColor = (mod(pos.x / 20.0, 1.0) > 0.5 ^^ mod(pos.y / 20.0, 1.0) > 0.5) ? vec4(1.0) : vec4(0.0);
}


