// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod x:
//f1:mod y:
//f2:zoom:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);


float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {
vec2 position = ( gl_FragCoord.xy / resolution.xy ) + .125 * vec2(f0, f1);

float color = 0.0;

  // sin(sqrt(x^2 + y^2)) / sqrt(x^2 + y^2)
  
  float ox = resolution.x / 2.0;
  float oy = resolution.y / 2.0;
  
  float px = 50.0 - ((position.x) * 100.0);
  float py = 50.0 - ((position.y) * 100.0);

   float px2 = 25.0 - ((position.x) * 100.0) + sin(time)* 4. + f0*100.0;
  float py2 = 25.0 - ((position.y) * 100.0) + cos(time)* 4. + f1*90.0;
 
  float d =sqrt (px*px +py*py);
  float d2 =sqrt (px2*px2 +py2*py2);
  
  color = sin( d * (d/(155.0 / f2 + 10.+ sin(time)*10.0))+ time*0.0) / (d/8.0);
  color += sin( d2 * (d2/(155.0 + sin(time)*20.))) / (d2/2.0 );

float c2 = (color > 0.2 && color< 0.3) ? 0.4 : 0.0;
 
 if((color > 0.5)){
color = 1.0;
}else{
color = 0.0;
}

  color += c2;

gl_FragColor = vec4( vec3( color, color, color )  , 1.0 );

}


