// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:bubble ups:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

void main( void ) {

vec2 position = ( gl_FragCoord.xy / resolution.xy ) *vec2(f0, f1);

vec3 couleur = vec3(04.0, 3.5, 3.0) / cos(position.x * 20.0) * tan(position.x * 40.0);

vec3 couleur2 = vec3(12.0, 12.0, 12.0) * sin(position.y * 10.0) * cos(position.x * 10.0);

vec3 couleur3 = vec3(1.4, 2.0, .0) * sin(position.y * 10.0) * sin(position.x * 15.0);

gl_FragColor = vec4 (couleur + couleur3 /f2 + couleur2/f2 * sin(time * 2.0), 1.0);


}


