// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0

//f0:grad resolution:
//f1:shine brightness:
//f2:start point:
float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
float time = float(itime) + ftime;
vec2 resolution = tres;
// port of Chocolux (by Auld, 2007)
// source code: page 13,http://www.iquilezles.org/www/material/nvscene2008/rwwtt.pdf


vec3 s[4];

void main( void ) {
s[0]=vec3(0);
s[3]=vec3(sin(abs(time/5.+gl_FragCoord.x*.0001)),cos(abs(gl_FragCoord.x*.0001)),0);
s[1]=s[3].zxy;
s[2]=s[3].zzx;

float t,b,c,h=0.0;
vec3 m,n,p=vec3(.2),d=normalize(.001*gl_FragCoord.rgb-p);
for(int i=0;i<4;i++){
t=4.0;
for(int i=0;i<4;i++){
b=dot(d,n=s[i]-p);
c=b*b+.2-dot(n,n);
if(b-c<t)
if(c>0.){ m=s[i];t=b-c + f2; }
}
p+=t*d * f0;
d=reflect(d,n=normalize(p-m));
h+=pow(n.x*n.x,88. *f1)+n.x*n.x*.2;
}
gl_FragColor=vec4(h,h*h,h*h*h*h,h);
}


