// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
precision mediump float;
varying vec2 tcoord;// location
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:width:
//f1:freq 1:
//f2:freq 2:
float f0 = mix(0.1, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

//
// http://glslsandbox.com/e#54789.0
void main( void ) {
   vec2 p = 2.0*gl_FragCoord.xy/60.0 * f0;
   for (int n=1; n<5; n++) {
      float i = float(n);
      p += (vec2(
         // whole lotta garbage
         f1/i*sin(i*p.x+time+0.3*i)+cos(p.y/99.0) ,
         0.4/i*sin(i*p.x+time+0.3*i)+14.6)*4.0)*2.0*f2;
   }
   //p.xy += sin(time*343.0)/19.; // flicker
   gl_FragColor = vec4(0.5*sin(p.x)+0.5,0.5*sin(p.x),0.05,1.0);
}


