// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;// 
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in 
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:red mod:
//f1:green mod:
//f2:blue mod:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);
//http://glslsandbox.com/e#48594.1

float time = float(itime) + ftime;
//---------------------------------------------------------------------------------------------------
void main(void) {
  vec2 position = (gl_FragCoord.xy / tres.xy) + vec2(0.5)  / 2.0;
  vec3 c = vec3(0.0);
  float v = time + position.x * 10.0;
  
  c.r = sin(v) * f0 + 0.5;
  c.g = sin(v + 3.1415 * 0.5) * f1 + 0.5;
  c.b = sin(v + 3.1415) * f2 + 0.5;

  gl_FragColor = vec4( c, 1.0 );

   
} //endof main


