// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:mod 1:
//f1:mod 2:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;
//---------------------------------------------------------------------------------------------------

//quasicrystals
const float pi = 3.1415926;

void main(void) {
    vec2 p = -1.0 + 2.0 * gl_FragCoord.xy / resolution.xy;
    p.y *= resolution.y/resolution.x;
    p *= 50.0 * f2;
    const float tot = pi*2.;
    const float n = 9.0;
    const float df = tot/n ;
    float c = 0.0;
    float t = time*2.0;

    for (float phi =0.0; phi < tot; phi+=df){
float myphi = phi*f1;
        c+=cos(sin(myphi*2.3)*2.7*f0+cos(myphi)*p.x+sin(myphi)*p.y+t-length(p));
    }
    //c/=n;
    //c = c>0.5?0.:1.;
    gl_FragColor = vec4(c,c,c,1.0);
}


