// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:horz stretch:
//f1:vert stretch:
//f2:zoom:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

//---------------------------------------------------------------------------------------------------
// Bart Verheijen 2016 // License Creative Commons Attribution-ShareAlike 3.0 Unported License.  // source : http://glslsandbox.com/e#35359.4
void main(){
    vec2 uv = gl_FragCoord.xy / tres.xy;
    vec2 p = -1.0 + 2.0 * uv;
    p *= tres.xy / min(tres.x,tres.y);

 p *= vec2(f0,f1) * 2.;

    p.x += 0.1*sin(time/31.0)*sin(time) * sin(p.y*11.0);
    p.y += 0.1*sin(time/31.0)*sin(time*0.8) * sin(p.x*13.0);

    float d = abs(0.9*f2-length(p))-0.27;
    float a = atan(p.y,p.x);
    //gl_FragColor = vec4(a/3.14,0.5-d,0,1);

    d += 0.04*sin(a*15.0);    
    d += 0.075*sin(time);
    a += 2.0*sin(time/5.0);
    d += 0.04*sin(a*9.0);
    
    gl_FragColor = vec4(1.0-abs(d*sin(a)*70.0),1.0-abs(d*cos(a)*70.0),abs(2.0*d)*(1.0-length(p)/1.25),1);
}



