// shader type: gen 
// shader written by unknown on glslsandbox.com  
// shader translated to gles by Erogenous-Tones.com 
precision mediump float;
varying vec2 tcoord;//
uniform sampler2D tex;// texture one
uniform sampler2D tex2;// texture two
uniform vec2 tres;// size of texture (screen)
uniform vec4 fparams;// 4 floats coming in
uniform ivec4 iparams;// 4 ints coming in
uniform float ftime;// 0.0 to 1.0
uniform int itime;// increases when ftime hits 1.0
//f0:glitch:
//f1:mod 1:
//f2:mod 2:

float f0 = mix(0.05, 0.95, fparams[0]);
float f1 = mix(0.05, 0.95, fparams[1]);
float f2 = mix(0.05, 0.95, fparams[2]);

float time = float(itime) + ftime;
vec2 resolution = tres;

float random (in vec2 st) { 
    return fract(sin(dot(st.xy,vec2(12.9898,78.233)))
         * 43758.5453123);
}

// The MIT License // Copyright 2013 Inigo Quilez
float n( in vec2 p ) {
    vec2 i = floor( p ) * f0 * 2.;
    vec2 f = fract( p );
    
    vec2 u = f*f*(3.0-2.0*f) * f2;

    return mix( mix( random( i + vec2(0.0,0.0) ), 
                     random( i + vec2(1.0,0.0) ), u.x),
                mix( random( i + vec2(0.0,1.0) ), 
                     random( i + vec2(1.0,1.0) ), u.x), u.y);
}

//---------------------------------------------------------------------------------------------------
// source : http://glslsandbox.com/e#35359.4 // author: c0de4 https://twitter.com/c0de4
void main( void ) {
float t = 10.0*time;

vec3 p = vec3(( gl_FragCoord.xyx * 3. - tres.xyy  ) / min(tres.x, tres.y));
p -= .8 * f1;

// float c = 0.;

for(float i = 0.; i < 2.; i++) {
vec3 q = p + n(vec2(p.xxy+t));
p.xyz = vec3( (abs(p*q.xxy*cos(t)) + dot(p-n(q.zz)+cos(t+q.xxz), p) - p.zyz * n(vec2(q+p)) ) );
}

gl_FragColor = vec4( vec3(1.0)-vec3( p ), 1. );

}


